Issuu on Google+

MAY 25TH - JUNE 1ST, 2013

VOLUME 9 - No. 20

Website: www.suntci.com

Email: sun@suntci.com

Tel: 649-946-8542

$1.00

Fax: 649-941-3281

www. twitter.com/suntci

$13MILLION LAWYER BILL TCIG gets $6M from civil recovery, while UK attorneys are paid $13M BY VIVIAN TYSON SUN SENIOR EDITOR

T

he Civil Recovery Unit recovered $19.5million in cash for the Turks and Caicos Islands Government, but $13million of that amount was paid to the British lawfirm Edwards Wildman. In an interview with The SUN, Laurence Harris, the law firm’s deputy managing partner, confirmed receiving the $13million, but he rejected suggestions that the Turks and Caicos Islands is not receiving value for money and that his law firm was ripping off the country. “We got back nineteen and a half million (dollars) and it costs 13 million, so that is an investment rate of return of about 50 percent over three years, roughly speaking, which is about 17 percent annually. For much people investing money in a business or in a bank, it’s pretty hard to get a 17 percent rate of return. So in terms of the value of the investment, if you just look at the money, it’s a pretty good rate of return. But don’t just look at the money. The thing you really have to focus on is the land, because the land, which is the (people’s) birthright really. It’s the most valuable asset of all the islanders,” Harris stated. Over the past three years that the firm has been working on behalf of the government to recover land, some dating back to the Derek Taylor People’s Democratic Move-

NASTY LEEWARD HIGHWAY ACCIDENT: An awful two vehicle accident along the Leeward Highway in Providenciales in the vicinity of Caicos Lodge on Thursday, May 23, left one of the occupants with what appeared to be serious injuries. The accident, which took place about minutes to 6p.m., involved a Honda motor car and a SUV. Both vehicles received extensive manage. The impact of the accident resulted in the SUV mowing down nearby vegetation and coming to a rest several yards into the bushes. The driver, however, was not hurt. He was spotted milling around the scene as paramedics work feverishly to preserve the other motorist’s life. From reports, each vehicle had only the drivers on board. Photo shows paramedics making a gallant effort to stabilize the motor car driver before ushering him from the mangled car to the ambulance. At press time his condition was not known. The SUN was also unable at press time to establish the cause of the accident.

ment (PDM) administration and as recent as the former Michael Misick Progressive National Party (PNP) administration. So far they have recovered more than 2500 acres of land. Asked if he felt the Turks and Caicos Islands was receiving for

money by paying his firm $13million when the Attorney General’s Chambers and the Land Department could have done the job, Laurence said: “The answer (about receiving value for money) has got to be yes. And the reason it has got to be yes is, first of all the government

NEW DEVELOPMENT AGREEMENT FOR BEACHES

UK APPROVES TCIG FISCAL PLAN

PAGE 7

PAGE 8

DETENTION CENTRE INMATE ON SUICIDE WATCH

CONDO OWNERS THREATENING TOURISM

PAGE 9

PAGE 11

is in profit, and secondly it has got two and half thousand acres of land (back). How do you value that? That is worth tens of hundreds of millions in money terms but it is very much more than that, because it is controlled (by government) again,” Harris said. “And so, I think you have got to look at the result. If the government was trying to do it itself and lost this case, you (journalists) would be the first one to say ‘this is no good. You have been losing these cases. You haven’t got this land back. What was the point of doing this? Why didn’t you go to people who have done it before?’ So this is kind of a no win situation,” Harris continued. He said the $13 million in legal fees was as a result of a four tier expense mechanism that the Civil Recovery programme has taken. CONTINUED ON PAGE 2


Page 2

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

$13MILLION LAWYER BILL He explained: “First, are the fees of my firm. Second are fees of barristers that we instruct, who present the cases in court. We used a couple of barristers, one who is a specialist QC from London and one is a junior barrister, who is from the Caribbean, who works with us and actually does the advocacy in court. The third is fees from independent experts, who often needed for these cases. “There is an issue about valuation; there is an issue about how something should have been done, where the court wants to hear expert evidence from independent experts from the Caribbean, from the U.S., from the UK. And there are their fees to be paid. The fourth of the expenses are the flights and the accommodation.”

arbitration proceedings or not. Hopefully they have decided to abandon the claims since those claims are without any legal merit. Certainly so far since the Court of Appeal’s decision the Conch Farm owners have not started any arbitration proceedings.  If they do so, those proceedings will be very strongly defended,” Harris said. 

JOE GRANT CAY

TENDER PROCESS Harris told The SUN that his firm acquired the job through a tendering process which comprised other competitors that have experiences in civil recoveries, because government wants value for money. He said that the fees charged by his company are standard market price. “A part of that tendering process is what you are going to charge, and having us compete with each other to ensure that the government was getting one of the best deals it could. First, what is being charged is kind of market-tested against what other people would charge. The second thing is you have to look at it in terms of what we got back versus what it costs,” he said. He said the $6.5 million difference in the recovery represents an approximate 50 percent on returns for government, which he said signified a 17 percent interest on return for each of the three years. Harris continued: “Those two and a half thousand acres have almost immeasurable value. The thing about the land is, if you sell it off as a one-off (deal), and you sell it off cheaply, you make a good amount of money that year – but then it’s gone. If you use it for a long term partnership, long term development with third parties, you can do two things. First you can generate long term revenue and you can share in the development value of that land.” In a separate press statement, Harris said the Civil Recovery Unit has now opened 62 case files, an increase on last year’s figure of 51.  He added: “Our work covers a wide range of matters, some well known from the Commission of Inquiry Report; others not identified by the Commission of Inquiry and some which have only come to light since then.  These claims cover the recovery of land, damages, or both. As well as claims for corruption and fraud, we have claims for breach of contract, for unjust enrichment, for recovery of unpaid Stamp Duty and for other civil causes of action. This time last year we had recovered nearly $2.4m in cash and around 900 acres of land.  Both of those figures have risen very substantially over the last twelve months.  The cash already paid to the Government, or agreed to be paid, has now risen to $19.5m and land recoveries are now 2,508 acres.  And there is still much to do.  Although several claims have concluded, we are awaiting judgments on two significant cases, and several more are still yet to go to trial. We have claims for many millions of dollars in damages and for well over a thousand of acres of land, all still to be heard by the TCI Courts.”  The British lawyer continued: “Inevitably we understand that much of the short term focus on

Laurence Harris the programme is on how much cash has come in, particularly given the difficult financial circumstances the TCI finds itself in.  We appreciate that short term cash helps with the immediate issue of balancing the books and we are doing our very best to collect as much as we can.  However, the much more valuable long term asset is the land that has been recovered.  This land holds the key to help TCI generate long term revenues through sharing profits with developers. As well as giving the Government an opportunity for a higher degree of ongoing control over how land is used this approach allows the people of the TCI to share in the long term value of the land.  Used this way, the land recovered is worth a very large amount of money – quite possibly over $100m – assuming it is used for long term partnerships. Of course, the job of the civil recovery programme is just to get the land back into the Government’s hands – it is for the Government to decide what to do with it.  But we hope that the very substantial value that is intrinsic to the land we have recovered will be understood as bringing real long term opportunity to TCI.” Harris said the Civil Recovery Unit remains on course to complete many of our cases by the end of the summer 2013.  He said that this year has seen “our most intensive period of activity as many of our cases come to trial”. “After July, we will still have a smaller number of cases which we will be progressing forward and which will probably not reach trial until 2014, unless they settle earlier.  We continue to encourage settlement as a way of bringing matters to an end more quickly, provided the settlement looks to be sensible and appropriate, bearing in mind the size of the claim, and the settlement is consistent with the Government’s approach in other cases. “We have also been assisting Chambers with non-civil recovery cases for the Government, most notably the Trade Winds claim brought by the owners of the Conch Farm against the Government and the Governor last year.  We were delighted that the Court of Appeal agreed with us that the claim should be stayed for arbitration which had been our position all along.  We now wait to see whether the Plaintiff decides to bring

In the meantime, Harris said that the Civil Recovery Unit has recovered all of Joe Grant Cay. However, he said that there is a problem with a large piece of property which Temple Trust has laid claim to, after the individual who bought the land borrowed money from that entity against the real estate. And now government is trying to have to land sold so as to pay off the bank. “We recovered the whole of Joe Grant Cay from the Star Platinum Companies through our Civil Recovery claim, 18 months, I think or two years ago. And so, all of the 900 acres of Joe Grant Cay is all back registered with the government. The problem with Joe Grant Cay was that when the people who, we recovered it from bought the land from the government of the day, borrowed money from a bank and, that bank took a charge over one of the parcels, which I think is around two hundred acres. So when the government recovered the land, it had to recover it subject to the charge. “And the bank’s position is, it wants to be paid, and it was owned quite a lot of money. The amount it lent was $2 million and then there is interest on top of that as well, which increases the sum quite significantly. And they want to be paid. And so, the government had no choice but to try and sell that parcel in order to pay off the bank. “Because if the government doesn’t sell the piece of land or pay the bank off, then the bank is going to sell the piece of land because it needs to be paid, and you can’t just leave the bank sitting there without being paid forever. So we are trying to deal with that and government is trying to sell the parcel in order to pay the bank off. “I think the guide price for the parcel if $5million. Government controls the land around it, and there is a possibility of selling the land if someone would buy it in those circumstances. So far, we don’t have a buyer, and government hopes that there will be one come along. At some point, the bank is going to say ‘enough is enough’. And that is something they are saying. They brought a claim for the right to sell the land,” Harris said. Harris pointed out that it is difficult to recover land against which money has been borrowed from banks, as is the case with the 200 acres in Joe Grant Cay. “Whenever we recover land, if we have got a right to recover the land, if someone has borrowed money against that land and there is a charge on the land, that presents a problem. “It is a devaluation of the land. And in those circumstances, even if we have a good claim to recover the land, we have to recover it subject to the bank’s charge, unless we can demonstrate that the bank was somehow mixed up with, involved in, have notice of the improper conduct, which we say entitles us to get the land back. “And that is often a very difficult thing to show. A number of banks lend money perfectly innocently, they don’t know about circumstances which may have meant that the land was transferred improperly or corruptly,” Harris pointed out.


TURKS & CAICOS SUN

MAY 25TH - JUNE 1ST, 2013

Page 3


Page 4

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN


TURKS & CAICOS SUN

MAY 25TH - JUNE 1ST, 2013

Page 5


Page 6

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

LOCAL NEWS

Creating A Justice System To The Disbenefit Of Turks And Caicos Islanders I

was in the Court over the weekwhat system that is put in place, end listening to the final argupersons will find a way around it. ments in the case being brought However, if there if a general benby the Interim Administration efit, then the areas of abuse must against Clyde Robinson and his be cut out, but not close down ex-wife Miss Bishop as she now the whole process! Yanking evprefers to call herself. If this case erything from Turks and Caicos is not about penalizing Turks and Islanders is what the Interim AdCaicos Islanders for being Turks ministration set out to do, and and Caicos Islanders, then I do they are using the justice system not know what is! as their tool to impose their will It was the stated and approved on the people of this country. by Cabinet policy of the previIn Clyde’s case, one of the ous PNP administration that not Plaintiff’s witnesses, Mr. Charles BY ROYAL S. ROBINSON, MBE a stick of Crown Land would be could not recall whether or not distributed unless a Turks and Cait was Minister Hanchell or Ps Juicos Islander directly benefitted. The policy also dith Campbell who instructed him to insert the indicated that Crown land to Turks and Caicos Is- “outdated” valuation figure in the CPL offer, but landers would be given at both a preferential and Mr. Phillips QC on behalf of SIPT is asserting that discounted rate as it relates to the open market it must have been Minister Hanchell. He is furrate of a similar piece of land. ther asserting that it was a criminal act on beThe concept of a willing seller and a willing half of the Minister so to do. The words mistake buyer would not be the determinant as it relates and error are synonymous, but “mistake” has a leto the pricing of the land that is to be transferred. gal connotation that points to criminality and seIt was designed specifically to give Turks and Ca- rious consequences flow therefrom. Using the icos Islanders a leg up as well as preventing expa- same set of “facts”, Mr. Phillips pleads that there triates only to benefit from the transfer of land was an error with respect to the eligibility of Mr. from the Crown to the individual. It made good Robinson to get the land, but there was a mistake sense for the people of the country to reap some of the Minister to grant him the land. direct benefit from the sale of their land. It is not an either or in this instance. It cannot This is now being called the “Unjust enrich- be argued that I was not at the scene of the murment” of Turks and Caicos Islanders! When it was der, but if the judge finds that I was there, then it Provident Limited, Bill Kemp and Cays Develop- was an act of self-defense. You cannot have your ment getting thousands of acres of Crown to sub- cake and eat it too! divide and make money off all was fine and danMr. Robinson transferred parcel 286 in Long dy! Bay to his wife, for “Natural Love and Affection”. When Patrick Ellis was given large tracts of That is standard and legal practice between a deland to “sell’ to an investor, it was all honky dory. fined group of persons, say, husband/wife, father When the ordinary Turks and Caicos Islander was and/or mother/children. In cases like that, no afforded a similar opportunity, then all hell broke stamp duty is payable on the transfer. However, loose! The land and the money were too good the registration fee is required. for Turks and Caicos Islanders to benefit from, so Since the payment of stamp duty is the responthat had to be systematically be reined in and if sibility of the transferee, unless otherwise agreed, a Turks and Caicos Islander got a benefit, then it they are going after Miss Bishop for stamp duty, must be taken away at all cost. but they cannot determine on which value it is to I would not here, or anywhere else, say that be, the $280K which was the original value, the rethere was not any abuse of the system. No matter vised value of $725K or the value of the sale to the

Turks and Caicos Sun Suite # 5, Airport Plaza Providenciales Turks and Caicos Islands Tel: (649) 946-8542 Fax: (649) 941-3281 Email: sun@suntci.com Read us online at www.suntci.com Publisher & Editor-in-Chief: Hayden Boyce Senior Editor: Vivian Tyson Office Manager: Dominique Rigby Information Technology and Production Manager: Kelano Howell Design by Design2pro.com The Turks and Caicos SUN is a subsidiary of The SUN Media Group Ltd. We are committed to excellence in journalism, educating and informing our readers, serving and satisfying our advertisers and assisting in the overall development of the Turks and Caicos Islands.

Shore Club Group of $1.5M. Mr. Phillips QC has had to drop significant portions of his claims, from the original as well as the amended versions. There was a new wrinkle introduced into this case in that Mr. Robinson was holding the land as a Trustee for the Crown, and as such any benefit that accrued from the onward sale of the land, the government must get a share. And they are not asking for a portion, but for the whole difference between the amount originally paid to government and the sale to Shore Club, plus of course astronomical legal costs. It seems to me that Mr. Phillips’ case was taking a nose dive! Mr. Ariel Misick QC was in fine form as was the lawyer for Miss Bishop. From where I sat, many other cases will fall victim. There is a point beyond which any reasonable Judicial Officer would go, no matter how pushed in that direction! So even though they are making it up on the hoof so to speak, some pigs won’t fly, no matter what! Royal Robinson was a former Deputy Premier and Minister of Finance and Health in a previous Progressive National Party (PNP) Administration.


TURKS & CAICOS SUN

Page 7

MAY 25TH - JUNE 1ST, 2013

LOCAL NEWS

Premier standing firm on new development agreement with Beaches Resort BY VIVIAN TYSON

P

remier Hon. Dr. Rufus Ewing said that Government will be relentless in obtaining a new development agreement with Beaches Resort and Spa. Speaking at a post cabinet news briefing on Thursday (May 23) the premier said that Beaches has certain things which government wants and his administration has things which the resort wants. Premier Ewing said that his administration is desirous of changing two clauses in the 2006 development agreement that Beaches inked with the government – the provision that allows Beaches to bring in foreign workers outside of the immigration processes (to hire them without having to apply for work permits) and the condition for the resort to receive very generous concessions. But Ewing said that the first clause goes to the heart of what the Immigration Ordinance is trying to achieve, while the second is denying government well-needed revenue. He said that having the immigration clause removed means more jobs for Turks and Caicos Islanders, since Beaches would not be allowed to bring in so many persons as they have the legal right to do now. The bargaining chip that the government could be using to agree on the new development plan is the public beach access that separates Beaches from the newly-acquired former Veranda Resort, which it wants to transform into Key West Village. Beaches wants to close the access, but will have to get government’s approval to do so. The attempted closing of the beach access has become a source of controversy. Residents in the Bight and vendors at the nearby craft market are up in arms with the property for make application to close the entry. Vendors said that guests from various resorts in the area used the access to patronize them and if closed, those resources would be cut off. When asked what stage Beaches’ beach access closure application is at, Premier Ewing said that it is on the desk of the Attorney Generals’ Chambers, and as far as he knows, no progress has been

PREMIER RUFUS EWING made. “I must state at this time that the government has been in much dialogue with Beaches, and there is still ongoing dialogue with Beaches with regards to a new development agreement. And we see this new development agreement as being critical to the socio economic state in Turks and Caicos and, it is important that we have a new development agreement to replace the 2006 development agreement. The government will continue these dialogues with Beaches. Even if this government supports Beaches getting the beach access, it is not doing so with prejudice to the various processes that Beaches would have to go through, including that

of the Crown Land procedures, as well as the Planning Procedures that is mandated in the Planning Ordinance,” the premier said. Asked about the buzz of construction activities by the resort in the area, Premier Ewing noted: “Beaches had made commitments to government that they would take commitment such as improving and redevelopment of the cultural market, redevelopment and improving of beach access and various parks. And my view is that maybe that is the manner in which they are approaching it.” However the premier assured that on completion of the development work by Beaches, his administration would undertake a review of the work done, to ensure it does not run contrary to what was being proposed by the resort. In the meantime, some members of the Bight community have threatened to file petition with the Planning Department to reject the Beaches public beach access application. But Ewing said that while government could not determine the outcome of that petition, the people of the Bight is well within their rights to file such a motion. “The Planning Department is a body that has a statutory responsibility under the Planning Ordinance, and there is nothing that we can do as the elected government (to override the Planning Department’s decision). Each individual citizen of this country has an opinion and a right to stand up for their individual rights, and we, as a government should listen to them and take on board their comments. “But at the same time, we, as a government has a responsibility to make decisions, as we see fit, in the best interest of the country overall, having all information at hand and taking everything into consideration, including the concerns of the citizens of the bight,” Ewing said. Premier Ewing said that that Government is cognizant that government Beaches Resort account for more than 50 percent of the airlift that comes into the Turks and Caicos Islands, and so his administration would not do anything to prejudice such situation.


Page 8

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

LOCAL NEWS

UK Minister William Hague approves Government’s Fiscal and Strategic Policy Statement VIVIAN TYSON

T

he Secretary of State Williams Hague has approved the Fiscal and Strategic Policy Statement (FSPS), paving the way for the Dr. Rufus Ewing Administration to now develop the long overdue 2013/2014 budget and pass it into law. Governor for the Turks and Caicos Islands His Excellency Ric Todd made the disclosure during an interview with The SUN on Thursday, May 23, and was confirmed by Premier Dr. Rufus Ewing, during a post-cabinet news briefing later in the day. The FSPS was officially presented to Hague by Premier Ewing in April. A relieved Premier Ewing said that he was confident that the document would have been approved by London since it was loaded with alternative revenue measures as substitute to the controversial Value Added Tax (VAT), which the majority of the country opposed and which was being advanced by Britain. “Even though we officially submitted the FSPS in April to the UK, we have been in dialogue, that’s why we took so long to submit it officially, because we have been in dialogue back and forth, trying to adjust things before we officially submitted it. So what they really got is what they were happy with before we submitted it. So, I didn’t expect there would be any changes to it. But they still took a little long - a month to approve it. I don’t understand that,” Ewing said.

UK Minister of State William Hague Ewing said that his administration’s task is now to develop the budget and have it debated in the House of Assembly before being passed. The premier said that he would have loved for it to be tabled and passed by the end of this month, but envision it being presented between the latter part of next month to early July. “We will now begin to look at our budgets. We also put before cabinet a draft recurrent budget and a draft capital budget, a draft manpower budget that we will start going over, and as we try to prioritize expenditure towards the limited funds that we have in regards to next year. And so, that is the important task that we will be dealing with over the next few weeks, trying to develop the budget to be presented, hopefully at the end of June, early July. Cabinet had a discus-

Tci’s It Girl Setting The Fashion World On Fire I

n New York City just over a week, the Turks & Caicos’ ‘It Girl’ to the fashion world has been kept very busy since her return.  Washanda Registre, TCI Top Model 2012 and signed Wilhelmina Model – has had a slew of test photoshoots with top photographers Timothy Rosado, Tyler Shumway, and Michael Fortner. All are published, and have worked with magazines such as Z!nk, Nylon Magazine, Xquisit Magazine and Lurve Magazine to name but a few. In addition to shooting to build up her model’s portfolio folder, Washanda has been doing the rounds and going to ‘go sees’ where she has met with various clients that Wilhelmina has submitted her to.  At Wilhelmina, Washanda is being spread across the agency’s various boards and divisions, thereby ensuring her limitless potential. “I’m loving the pulse and energy of New York! Everyday is different. I am constantly meeting new people, having new, different and exciting experiences. I am surely making the most of this opportunity. New York is where I belong and fashion modeling is a lifelong ambition that is coming true. I am excited by everything that is hap-

sion of the budget at its meeting yesterday (May 22) and it is going to have further intense discussion before the House of Assembly,” he said. In the meantime, Governor Todd said that Minister Hague was pleased with the FSPS, even though it did not contain VAT. “The FSPS presented by the premier did not include VAT, it include a number of alternative measures to replace VAT. What Minister Simmons made clear in his letter in February is that there was a choice of the government of the TCI not to have VAT but it needed instead to put in place sustainable tax system. So therefore, the question of the tax system is for the government to decide, provided of course it raises the revenue TCI needs, and is able to meet the conditions and requirements set out in the FSPS,” Governor Todd said. He added: “What the FSPS does is essentially it sets out a fiscal strategy for the next three years. It sets out what the government’s priorities are. It sets out what revenue would be, what expenditure would be – recurrent and non-recurrent, it also sets out what the capital spending would be and how TCI would move towards paying down its debt and be in a position in 2016, to borrow money without a DIFID guarantee. And the FSPS sets that course and the secretary of state has approved it and we are to make sure we can work together to deliver those numbers.”

CIBC FCIB says it is not closing branches in Turks and Caicos Islands C

WASHANDA REGISTRE pening to me and cannot wait for more!” said Washanda.  THE TCI TOP MODEL CONTEST & FASHION EXTRAVAGANZA is an event that is designed to give those persons residing in the Turks and Caicos Islands interested in careers in the fashion and creative industry an opportunity and the platform to debut, and showcase their talent, with the hope that this will be a springboard to a career locally or abroad.

IBC FirstCaribbean has again denied widespread reports that it will be closing its branches in the Turks and Caicos Islands. Weeks after it was announced in Washington DC that the bank is under investigation by the United States Department of Justice and the IRS, CIBC FCIB says it remains fully committed to TCI. In a statement to the SUN newspaper which broke the story about the high-level investigation, the bank’s  CEO Rik Parkhill said he wished to assure the public that his banks remains fully committed to TCI and has no plans to close. The SUN understands that in recent weeks, several individuals pulled their money from the bank. But Parkhill said CIBC FCIB will continue to provide full banking services and support to existing and new clients in TCI.   CIBC FirstCaribbean which has assets of over 11.5 billion dollars, operates 3 branches, one agen-

Rik Parkhill cy, a Wealth Management Centre and three ATMs in TCI. Parkhill added that the bank is investing in its branches and people, and has started refurbishing branches, even in a slower economy.


TURKS & CAICOS SUN

Page 9

MAY 25TH - JUNE 1ST, 2013

LOCAL NEWS

Detention centre inmate on suicide watch after alleged police brutality A

n inmate at the detention centre in South Dock is now on suicide watch following an alleged beating by members of the Royal Turks and Caicos Islands Police Force on May 4, which left him on a hospital bed for two weeks nursing multiple injuries, including the threat of blindness to his left eye. The SUN understands that the inmate, who is African, has refused to eat even though the hatful of medication received requires consuming food before taking them. It is reported that the inmate has been at the centre for more than five months. A source at the Cheshire Medical Centre in Providenciales said that cat scans conducted on him picked up a number of swollen tissues on his head, while the approximately 15 X-rays done on different parts of his body revealed multiple injuries. “He is now using an eye patch and still taking treatments with an eye specialist in a different hospital, based on recommendation by surgical doctors at the Cheshire Hall Medical Center of the severity of his injuries. The reason that part of his face is so badly affected is because he was lying on the floor sideways while they were stomping on him and whipping him with cable wires as thick as two inches and beating him with police Batons,” the source said. It is understood that the matter is being investigated by the police. A source close to the investigation, said that the incident beating of the African occurred after he had intervened in the beating of a Dominican national, who was behaving boisterously over his protracted detention. “The police were beating the Dominican guy,

This picture bears the image of the detention centre inmate, who accused the police of beating him

and he (the African) asked them why they were ill-treating him like that. They stopped beating the Dominican guy and turned on him and started to beat him up,” the soured said. After his discharged from the hospital, security guards at the detention centre have been ordered to check on him every half hour, as a means of monitoring his actions and to prevent any suicidal attempt. An immigration source said that the detention center was designed for short staying detainees not more than two weeks, since it does not pass human rights standards and regulations mainly because of its poor ventilation and inadequate running water system. “There is a water tanker that supplies water. So they only turn on water for them in the morning and evening - twice a day - and sometimes no water for two days,” The source said. It is also said that facility is mosquitoes infested. The source said in January the African was infected with The SUN has learnt that the African was released from Her Majesty’s Prison in Grand Turk sometime last year of being sentenced on charges of fraud, but is seeking judicial review in the matter to clear his name because he felt he was wrongfully imprisoned. He accused the police of beating him while in a police lock-up before he was sentenced. It is said that he is being held at the detention centre until that court matter is disposed of. The police source said he may seek legal advice from his latest round of beating.

MANAGER OF IT SOLUTIONS AND ERP SYSTEMS DEVELOPMENT To oversee the effort to analyze, validate and document the business and system requirements as well as to support the ERP production environment. Main Duties ŏ Lead the implementation of the new ERP system; contribute to the design of core process technology solutions, establishing basic system administration processes and protocols, including business process design: user training, data/quality controls, and change management. ŏ Oversee the design, modification and creation of business processes and/or technology enhancements used to implement the business/technology solutions. This is done through research and an understanding of applicable business processes, systems, and operations requirements. ŏ Work with business users to determine scope and requirements for new projects and/or working with business users on issues/opportunities on existing applications/process. ŏ Collaborate with various departments on identifying appropriate technology solutions to business problems; Identify and recommend alternative methods to meet business needs; Provides an industry perspective and improves business processes. ŏ Provide business direction for initiatives with the possibility of leading high complexity projects and teams; Work with cross-functional teams to commit resource requirements over the lifecycle of the project. ŏ Coordinate and align the IT function and business activities. ŏ Coordinate and perform business analysis as needed for various departments. ŏ Other responsibilities: o Creation/ updating &/or reporting of the ʄ Monthly Corporate Scorecard ʄ Monthly Corporate Targets ʄ Weekly Comparative Peak Loads ʄ Quarterly Board Package o Assistant the Corporate Secretary responsible for the ʄ Board and Committee Meetings ʄ Minutes of Management and Business Meetings ʄ Corporate Reports, Official Documents and Contracts ʄ Oversee policy management o Support Human Resource Department in ʄ Maintaining the Compensation Table ʄ Serving as co-administrator to the e-Appraisal System

Minimum Requirements:

ŏ Bachelor Degree in any Business related course is required; Professional Certification is an advantage i.e. PMP, CIA, ACCA ŏ Minimum 15 years working experience in various industries that includes at least five (5) years in a supervisory/ managerial level and four (4) years or more in the Utility industry. ŏ Proficient in Microsoft Word, Excel and PowerPoint ŏ Good command of English language (Spoken and written) ŏ Comprehensive knowledge of the processes, complexities and possible errors and solutions involved in Business Systems implementation ŏ Comprehensive understanding of business processes and practices with superior knowledge of business systems ŏ Exceptional organizational, coaching, mentoring, leadership and planning skills ŏ Comprehensive experience with data analysis; Demonstrates a creative, critical thinking approach to problem solving ŏ Comprehensive experience with process and workflow design; ŏ Considerable analytical and organizational skills; ŏ Considerable communication skills; ability to communicate with both technical and non-technical audience ŏ Experience establishing and enforcing process and procedures for running projects, tracking progress, and dealing with change and sign-offs ŏ Experience managing relationships with external vendors and/or consultancies for outsourced work ŏ Considerable experience leading projects and knowledge of project management principles and methodologies; ŏ Considerable understanding of computer programming languages and operating systems

Compensation commensurate with experience and qualifications

Deadline for submission of applications is June 7, 2013 to: Manager, Human Resources FortisTCI Limited P. O. Box 132, Providenciales Email address: hrapplications@ppcltd.tc fax: 649-941-4304


Page 10

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

LOCAL NEWS Lawyers, accountants, real estate agents and jewellery stores now have to disclose more information to Financial Services Commission

I

n response to the global fight against Money Laundering and Terrorist Financing and in line with international standards recommended by the Financial Action Task Force (“FATF”), the Financial Services Commission (The Commission) has commenced implementation of its recently appointed role as supervisory authority over Designated Non Financial Businesses and Professions. (DNFBP). Relevant businesses included in DNFBP are lawyers, accountants and real estate agents, together with dealers in high value goods. Crucial phases on the path to meeting supervisory responsibilities have now been initiated in the form of registration and training of those relevant businesses in the TCI. Registration, which commenced on the 15th May this year, will enable the Commission, in addition to performing compliance reviews, to provide continuing targeted guidance and support to all registered businesses. Deadline for the registration of existing businesses is the 28th June 2013. A $150 one-time fee is payable with an initial registration period of three years. According to a press release from the FSC, registration calls for disclosure of key business officers and a broad outline of business undertaken enabling the Commission to consider vulnerabilities to money launder-

ing at both the business and country level. Beyond the 28th June deadline, new businesses must register prior to commencement of activity. “It is an offence to fail to register a relevant business prior to commencing operations. Significant changes to previously provided information must also be advised to the Commission without delay,” the FSC stated. Full details of the registration process, including an application form and guidance notes are available on the Commission website www.tcifsc. tc together with information on determining which businesses must be registered. Training initiated by the Commission is fully underway with Anti-Money Laundering awareness sessions held in September 2012 and March 2013 for the Turks and Caicos Real Estate Association. More recently, in May of this year, the Bar Association attended a similar session with focus towards risks specific to legal professionals. All training is interactive with attendees contributing greatly by sharing concerns and expressing views on practical implementation. The level of involvement of all concerned testifies to the awareness of businesses to the threat of Money Laundering to the reputation of the Turks and Caicos Islands as a financial centre. Training will continue through-

out this year and into 2014 dedicated to equipping management and staff with sufficient knowledge to achieve fully compliant businesses. Detailed operational training for each business sector will be addressed as well as commencing awareness sessions for the accountancy profession. The Turks and Caicos Islands Government has reported this month progress in this vital DNFBP sector to the Caribbean Financial Action Task Force (CFATF). This is expected to be presented to all members at the CFATF Plenary next week when Delegates from the twenty nine Member Countries of the Caribbean Basin Region FATF will convene in the capital city Managua, Nicaragua. Mr. Kevin Higgins, Managing Director of the Commission said: “This is an important initiative which will enhance the promotion to all of a well regulated financial services sector operating with high integrity. I am greatly encouraged by the proactive involvement of the leaders of the relevant businesses”. The Financial Action Task Force (FATF) is an intergovernmental policy making body with 36 member countries and regional organisations. FATF is regarded as the leader in providing recommendations on initiatives to prevent Money Laundering and Terrorist Financing to governments throughout the globe. FATF has

brought significant change to co-ordinating the response to the threats to the integrity of the financial system. The Anti-Money Laundering and Prevention of Terrorist Financing Regulations 2010 introduced extended coverage of the regulations to include, those businesses and professions of independent legal professionals, providers of accounting and audit services, real estate agents and dealers in high value goods. Dealers of high value goods are further defined as those businesses who receive a payment or payments in cash of: In the case of precious metals or precious stones, at least $15,000 or the equivalent in any other currency; in the case of any other goods at least $50,000 or the equivalent in any other currency. Delegates from the twenty nine Member Countries of the Caribbean Basin Region FATF attending next week CFATF Plenary in Nicaragua will be joined by representatives from Canada, France, Mexico, Netherlands, Spain, United Kingdom and the United States of America who comprise the CFATF Group of Cooperating and Supporting Nations (COSUNs) and CFATF Observers such as the Central American Bank for Economic Integration (CABEI), European Union, Financial Action Task Force, World Bank, Organization of American States, United Nations Office of Drugs.


TURKS & CAICOS SUN

Page 11

MAY 25TH - JUNE 1ST, 2013

LOCAL NEWS

Condo owners threatening local tourism, Premier Ewing says BY VIVIAN TYSON

I

f the government of the Turks does not move quickly to develop laws to regulate how the management of condo hotels is administered, not only would the country lose important revenue, but the high-end tourism brand on which the territory prides itself would be harmed. This came in the wake of reports surfacing that condominium owners were bypassing the resort management system to rent their units to tourists under a scheme referred to as Vacation Rentals By Owners (VRBO). This arrangement brought with it a litany of negatives, including denying guests of the full service that those resorts offer, robbing the management companies of revenues while depriving government of its fair share of monetary intake. The Turks and Caicos Resort Economic Council (TCREC) educated government on the troubling development when it made a presentation to cabinet on Wednesday, May 22, and warned the Rufus Ewing administration of the dangers of not acting with alacrity. At a post cabinet news briefing at the Tourist Board in Providenciales on Thursday, May 23, Premier Hon. Dr. Rufus Ewing, said that govern-

ment has taken the development serious and would seeking ways to find ways to ensure that it comes to an amicable end. He said if action is not taken quickly, the resorts would be watered down to mere residences. “The Resort Council sets out the condominium models in the Turks and Caicos Islands, which is one that provides benefits for tourists, TCIG, owners and the local economy. And that the exclusion of the management companies from the leasing process could ultimately lead to the withdrawal of such resorts and the resorts changing its status to residences,” he said. He said that following the presentation cabinet unanimously agreed to refer the TCREC to the Attorney General Chambers with a view to draft legislations to stem the problem. “This, in turn, would have a negative impact on our economy and TCI revenue. After discussion cabinet has agreed to invite the Turks and Caicos Resort Economic Council to present to the Attorney General Chambers options implementing legislations governing the leasing of condominium resort properties. We undertook to consider such draft legislation with a view to debate and subsequently passed into law by the House of Assembly,” he said.

The premier continued: “The economy of the Turks and Caicos Islands is largely based on high-end tourism and model on condominium approach. The presentation to cabinet was most concerning to the government, as it reveals that many condo owners were bypassing this management structure in preference for other rentals such as Vacation Rentals By Owners. “This approach only serves, in some instances, to erode the brand, which the government has worked so hard and has also given concessions for the development and construction of these tourism infrastructures, in partners with the tourism industry, to develop.” Ewing said that since government has vowed to protect the good name of its tourism brand, it would work with the TCREC to ensure that Brand TCI is protected. “In many instances, these self or privately managed units are not managed at the same level of superior service, which hotel management is providing. If this practice continues to flourish, it will undermine and eventually lead to the tarnishing and degrading of our tourism brand. So the government is resolved in the protection of our TCI tourism brand as a Beautiful By Nature destination, its superior services and superior amenities,” Ewing emphasized.

GILLEY’S ENTERPRISES REQUIREMENTS: • Completion of a recognized Is looking for a accounting designation with minimum 3-5 years post Financial Controller RESPONSIBILITIES: • Day to day administration of all functions associated with finance and accounting. • Preparation of monthly financial statements. • Management of daily working capital requirements • Preparation of annual budgets • Settings up accounting systems for new businesses. • Financial analysis, preparation of year end working papers • Implementation and monitoring of internal controls. • Inventory monitoring and controls.

qualification experience.

• Bachelor of Business, Accounting Finance or Commerce.

• Certified Practicing Accountant (CPA) qualifications preferred.

• Computer skills proficiency, knowledge of point of sales and knowledge of counter point.

Salary: Depending on experience Please forward resume to: Discount Liquors/The Wine Cellar Fax# (649)946-4871 Or email: discountfinance@tciway.tc NO PHONE CALLS

F CHAMBERS A modern law firm in the Turks and Caicos Islands seeks • 1 QUEENS COUNSEL DEFENCE ATTORNEY (25 years + experience) • 1 SENIOR DEFENCE ATTORNEY (10 years + experience) • 1 DEFENCE ATTORNEYS (10years + experience) • 1 DEFENCE ATTORNEYS ( 5years + experience) Specialty: all aspects of criminal and civil practice, in particular: Corruption Fraud Money Laundering Bribery Defending Civil Recovery Claims All resumes and cover letters should be sent to: Unit 007 SDR Complex 176 South Dock Road P.O. Box 666 Providenciales Turks and Caicos Islands hr@fchamberslaw.com


Page 12

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

LOCAL NEWS

Haitian consulate cautious about lull in boat activities BY VIVIAN TYSON

T

he situation of Illegal boats coming from Haiti has dried up somewhat, but Haitian Consular Karlo Pellissier is cautious in his determination as to whether the letup stems from an educational campaign initiated through his office to notify his people back home of the great risks involved. Earlier this year the Turks and Caicos Islands was inundated by illegal boats packed with scores of migrants scurrying away from destitute living conditions in that country. The influx of boats triggered a high level meeting on April 18, between His Excellency Governor Ric Todd, Minister for Border Control and Labour Hon. Don-Hue Gardiner, Clara Gardiner, Permanent Secretary in the Ministry of Border Control and Labour, and Pellissier. Pellissier told The SUN then that his office would embark on a crusade to educate persons back in Haiti of the many dangers of boarding a sloop to make a passage to the TCI. He said that the initial message would be that they stand a 90 percent chance of being caught. And on the odd chance that they managed to elude the local border control au-

Haitian Consular Karlo Pellissier thority, they would not be able to find work because of their lack of status in the country. But speaking to The SUN this week, Pellissier said that even though the messages made their rounds on national radios in Haiti, he would not go on record to conclude that the campaign has anything do with the lull in illegal boats coming here. “We have been working on it. I have been on several radio stations talking about it. I have also spoken personally to persons in Hai-

RBC ROYAL BANK (BAHAMAS) LIMITED is presently considering applications for: Manager, Client Care Turks & Caicos Branch The successful candidate should possess the following qualifications: • AICB Diploma, a college degree in Banking or a related field would be an asset. • 5 or more years Banking experience. Demonstrated ability in the area of Customer Service, Operations and Supervision.

Responsibilities Include: • Managing and leading the establishment and achievement of team sales objectives, and related activities to achieve a high standard of customer care, optimal business retention, profitable growth and productivity. • Developing relationships and acts as Liaison with service partners to ensure customer satisfaction and efficient operations of the unit. • Providing ongoing coaching and development of staff, ensuring a high level of employee commitment and capability through focused sales/service management routines. • Centre for expertise for operational issues of the unit, including UFC checks & balances, cash & custody controls, revenue & expense controls, negotiation of items and fraud. • Identifyng operational deficiencies and implements steps outlined in ICR (Internal Control Review) to protect shareholders interest. • Providing professional, attentive and accurate service when dealing with both customers and staff.

Required Skills: • Leadership • Coaching • Impact & Influence • Problem Solving

• Confidentiality • Communication/ both oral and written • People Management • Proficiency in Microsoft Office (Word/Excel/Power Point)

A competitive compensation package (base salary & bonus) will commensurate with relevant experience and qualifications. Please apply by May 31, 2013 to: Assistant Manager, Recruitment & Employee Development Human Resources Bahamas Regional Office RBC Royal Bank (Bahamas) Limited P.O. Box N-7549 Nassau, N.P., Bahamas Via fax: (242) 322-1367 Via email: bahcayjp@rbc.com

ti, talking to them about the law in Turks and Caicos, telling them that they do not have the right to enter that country illegally. I hope something is working out (from the campaign messages), But I cannot say if it (break in boats coming here) is from what we are doing. At this stage I don’t know,” he said. “I also spoke to someone from the Ministry of Foreign Affairs in Haiti and I explained to them the meeting I had with the Premier and the Governor. And I spoke to them about the things that we have to do to inform these people about the dangers of coming to the Turks and Caicos Islands illegally,” Pellissier added. He pointed out that the tense political problems that had its genesis in Haiti since the 1960s, causing scores of professional Haitians to flee the country, has been on the decline starting in 2004, with the change in government. He said that productivity in Haiti has stepped up a notch since Mi-

chel ‘Sweet Micky’ Martelly has taken over the reins of government some two years ago, with the tourism and other industries experiencing rebounds. Pellissier said those developments are being done to allow Haitians to stay home and many of those in the Diaspora to return and make meaningful contributions. “We have a government that is led by Michel Martelly that is working really, really hard. During his speech on Diaspora Day, he said that he wants to get the country in a position where Haitians do not have to leave the country. When it was Diaspora Day, I also spoke to them (Haitians back home) about that (travelling illegally to the Turks and Caicos Islands). “I told them that there is a 99 percent chance you are going to be caught, and the one percent chance that you have to stay in the country you are not going to get jobs. I said to them that even if they get a job, it would take 10 years to work consecutively before you can apply for residency, which is going to cost you $10,000,” Pellissier said. He added: “I also told them to listen to the local radio and hear what the government is doing to make your lives easier, and that they don’t have to risk their lives to go to another country,” Pellissier said. In the meantime, the Haitian Consular told The SUN that his office receives on average 10 persons per day making complaints that they have made work permit applications but having difficulty getting replies. He said a number of them brought receipts as proof but said they were too scared to go to Immigration Department to report it out of fear of being shipped out of the country.

TODAY’S BARGAIN, YESTERDAY’S BURGLARY, CAR CRIME OR ROBBERY BY AUDLEY ASTWOOD

T

he Royal Turks & Caicos Police are urging people to make the link between buying stolen goods and fuelling further crime, drug abuse and misery in their community. Officers say that the cheap deals on a watch, jewelry or mobile phone you may be offered on the street or at your door has probably been taken through a local burglary, a theft or a robbery. In some cases criminals may have used or threatened violence to obtain the items they are offering for sale. Every criminal act leaves a victim who has not only lost valuables but is left distressed and possibly emotionally scarred. Stolen items may have sentimental value and therefore be sorely missed and irreplaceable. By re-

fusing to buy goods you suspect may have been stolen you can help stem further crime, deprive drug users of cash and thus force them into rehabilitation. Criminals use money made from dealing drugs to live extravagant lifestyles and fund other serious crimes such as armed robberies. Don’t become part of a crime ring make the link and break the chain by refusing to buy stolen goods. People are urged to report criminals selling stolen goods either directly to police on 941-3327 or anonymously through the independent charity Crimestoppers on 1-8008477. Police public relations officer Audley Astwood said: We want people to stop and think before they snap up a bargain mobile phone or piece of jewelry no questions asked on the streets.


TURKS & CAICOS SUN

Page 13

MAY 25TH - JUNE 1ST, 2013

Butterfield Motors, Ltd. Is looking for experienced applicants for the follow positions GENERAL MANAGER Key Function The automotive dealership General Manager ensures the profitability of the dealership by overseeing the various departments which include variable operations (sales & financing), fixed operations (service, parts, and body shop), and the business office (accounting & administration). Duties of the general manager include, but certainly not limited to, planning, motivating and coordinating the dealership’s management through leadership and solid business practices. Strategic Planning Responsibilities • Provide guidance and strategic planning for the dealership with respect to sales goals. • Achieve sales volume and profitability objectives utilizing all sales channels in a continually changing environment. • Planning and developing short and long-term goals and objectives annually, and submitting time projections to corporate management for approval. • Coordinating regular meetings with the managers of each department to ensure their profitability and efficiency. • Creating cost-effective advertising programs and merchandising strategies for the dealership. Specific Operational Responsibilities • Implement and execute all company-wide marketing initiatives so as to maximize their impact and to help meet or exceed sales goals. • Identify referral source prospects for dealership, create a strategy to develop relationships with prospects, and monitor and maintain positive referral source relationships. • Conduct sales meetings to motivate and share successful selling techniques and skills. • Develop and enhance customer relationships by establishing, promoting, maintaining excellent customer service with sales operations. • Hiring all management positions, completing performance evaluations regularly and developing short and long-term goals for each department manager (includes administrative, sales, parts, collision and service departments). • Effectively communicating with the comptroller/office manager on a weekly basis to review departmental forecasts and ensure consistency with annual projections. • Paying close attention to daily operations, recommending and creating improved courses of action where necessary. • Explaining the policies and procedures of the dealership to all employees and following up with employees to ensure that these issues are understood and followed. • Providing dealership management with weekly reports on the financial condition of the dealership. • Overseeing the monthly financial statement to ensure it is complete, accurate and submitted on time to the management/dealership owners. • Coordinating with the business/administrative office to ensure that records and analyses are correctly maintained. • Creating a good working relationship with lending institutions and manufacturer personnel and maintaining these relationships. • Overseeing the hiring and training of all department managers. • Maintaining an enthusiastic attitude to build positive employee attitudes and morale. • Overseeing and maintaining compensation plans for all employees. • Focusing on any customer complaints that department managers are unable to rectify and taking the necessary steps to resolve these complaints. Professional Requirements • 4-yr degree from accredited college/university. • General Manager should have at least 10 years of dealership sales and 5 years in a supervisory position. Experience in other dealership departments is a plus. They must have strong leadership and organizational skills, and the ability to understand profit and loss statements and manage a large, diverse staff. • General Manager also must possess strong communication skills to deal with customers, employees and vendors. Personal Requirements • Must be able to make decisions with minimum input, based on their experience and knowledge of the position. • Driven towards continuous personal and company improvement. • Flexible work hours • Bilingual – English / Spanish • Proficient with MS Office FINANCIAL CONTROLLER Key Function Actively assist the Dealer Principal to maximize smooth running and profitability of the dealership. Provide all necessary and relevant financial information to a consistently high standard and to agreed deadlines. Continuously review effectiveness of all accounting, administration within the business. Identify areas for development and recommend solutions.

Assist the Dealer Principal with external stakeholder relationship management. Ensure the business meets all statutory requirements. Strategic Planning Responsibilities • Establish and develop the dealership organization and control systems to ensure the efficient operation of each department, consistent with its present and future objectives • Create with each Department Manager co-ordinated, detailed annual plans and budgets, in line with defined long term goals, for each section of the business covering all targets for profitability, productivity, and resource control and market development. • Enable the implementation of these plans and budgets through business management systems to identify and explain variances. To monitor continuously all adverse trends and potential problems and take corrective action in a timely manner. • Agree all operating policies of the business in conjunction with the Dealer Principal including: pricing and credit limits; customer service levels; warranty and guarantee policies; new and used vehicle trading; resource control; liaison with suppliers; discounting; payment and benefit plans. • Participates in overall Company strategic planning. Reports directly to the Owner. Specific Operational Responsibilities • Responsible for the accounting and control functions; prepares interim and annual financial statements with supporting schedules and analysis for the guidance of management. • Production of accurate and detailed management accounts in the dealership within 5 working days from end of month. • Actively assist the Dealer Principal and Management Team with interpretation of the monthly accounts and suggest actions where appropriate. • Responsible for the Company's accounting practices, procedures and principles, maintenance of its records and the preparation of financial reports • Ensure that the business is administered legally, professionally and in keeping with the Manufacturing Brands at all times. • Ensure that reporting systems within the dealership enable accurate production of Daily Operating Controls by Department Managers. • Work with General Manager to improve revenue or reduce expense in order to meet or exceed budget and grow the business. Professional requirements: • Bachelor’s degree in Accounting, Finance or related field. • 10+ years experience in Corporate Accounting, with minimum 5 years as an Accounting Manager or Controller, with demonstrated increasing levels of responsibility and skill • Thorough understanding of general accounting processes and principles along with strong analytical skills • Knowledge of automated financial and accounting reporting systems, including familiarity with computerized general ledger systems, accounting procedures and computer programs, handling ADP system as a plus. • Proficient with MS Office, an expert with MS Excel • Experience in projections, Budget, Forecast, Long Term projections. Personal requirements: • Must be able to make decisions with minimum input, based on their experience and knowledge of the position. • Driven towards continuous personal and company improvement. • Successful Applicant will be responsible for developing and improving upon all general accounting procedures and processes on a project and company-wide basis. • Flexible work hours • Bilingual (English/Spanish) AUTOMOTIVE MASTER MECHANIC Repair automobiles, trucks, buses, and other vehicles. Perform the duties of a mechanic involved in inspecting, repairing, fabricating, rebuilding and maintaining. Master mechanics repair virtually any part on the vehicle or specialize in the transmission system. Job Duties and Tasks • Servicing, repairing, adjusting, and testing vehicles, engines and transmissions. • Examine vehicles to determine extent of damage or malfunctions. • Analyzing information and evaluating results to choose the best solution and solve problems. • Test drive vehicles, and test components and systems, using equipment such as infrared engine analyzers, compression gauges, and computerized diagnostic devices. • Perform routine and scheduled maintenance services such as oil changes, lubrications, and tune-ups. • Repair manual and automatic transmissions. • Using computers and computer systems (including hardware and software) to program, write software, set up functions, enter data, or process information.

• Estimating sizes, distances, and quantities; or determining time, costs, resources, or materials needed to perform a work activity. • Developing specific goals and plans to prioritize, organize, and accomplish your work. Keeping up-to-date technically and applying new knowledge to the job. Skills • Using logic and reasoning to identify the strengths and weaknesses of alternatives to repair vehicles. • Identifying complex problems and reviewing related information to develop and evaluate options and implement solutions. • Performing routine maintenance on equipment and determining when and what kind of maintenance is needed. • Managing one's own time and the time of others. Teaching others how to do necessary tasks. • Considering the relative costs and benefits of potential actions to choose the most appropriate one. • Bilingual (English/Spanish) a big plus. • Watching gauges, dials, or other indicators to make sure a machine is working properly. • Conducting tests and inspections of products, services, or processes to evaluate quality or performance. Knowledge, Experience, Education • Mechanical certification from accredited institution. • Thorough knowledge of all vehicle repair aspects including, but not limited to: Engine, Transmission, and Electrical among others. • 10+ years experience in Automotive Repair, with minimum 5 years in Chevrolet Brand vehicles. • Mechanical Knowledge of machines and tools, including their designs, uses, repair, and maintenance. • Proficiency with computers to input necessary data and communicate with management. • Experience with Customer and Personal Service. This includes customer needs assessment, meeting quality standards for services, and evaluation of customer satisfaction. GENERAL AUTO BODY SHOP Job Description: Ensuring that repairs in the Service department are performed correctly and efficiently and that the service department maintains a high level of customer satisfaction in the Body Shop. Job Duties and Task Perform the following repairs or replacements: • Auto body repair mechanic will repair damaged vehicles after traffic collisions and other accidents. They also repaint the vehicles once the repairs are complete. • The auto body technician is responsible for repairing a wrecked or damaged car and restoring it to its original condition. The auto body technician's job is to remove dents when a car has been in an accident. • The auto body technician also fixes cars that have been vandalized or have become worn due to wear and tear or by weather. Technicians must have the ability to work on a variety of different cars, trucks, vans and other vehicles that need repair work. • Auto body technician should know the correct procedure and the correct equipment and tools to get the job done. He must know how to prepare a car with the correct putty. Masking of the vehicle must be done to ensure that the chrome, windows and other parts don't get paint on them • Minor electrical system repairs, Surface preparation for refinishes, Minor Cab Accessory repair/replacement, Minor Cargo Box repairs • Maintain work area appearance and safety • Other projects and tasks as assigned by supervisor. Skills & Experience • 10 years of related experience (or an equivalent combination of related education and experience) required. • High School Diploma or equivalent required • Vocational/technical school preferred • Certification of completion of technical school specializing in the repair/refinish • Working knowledge of tools of trade (including welding equipment, paint equipment, shop machines, and power tools) required • Body Shop Procedures Certificate • The physical demands described here are representative of those that must be met by an associate to successfully perform the essential functions of this job. The associate must regularly lift and /or move up to 25lbs/12kg, frequently lift and/or move up to 50lbs/23kg and occasionally lift and/or move up to 100lbs/45kg. Specific vision abilities required by this job include Close vision, Distance vision, Peripheral vision, Depth perception and Ability to adjust focus. While performing the duties of this Job, the associate is regularly required to stand; walk; sit and talk or hear. The associate is frequently required to use hands to finger, handle, or feel and reach with hands and arms. Competitive Salary commensurate with work experience and qualifications.

All interested applicants should submit an updated resume by e-mailing info@butterfieldmotors.tc, no later than 12th of June, 2013


Page 14

MAY 25TH - JUNE 1ST, 2013

LOCAL NEWS

CATCH THE WAVE CHARTERS LTD.

SEEKS ONE SALES CLERK

Governor Ric Todd backs TCI investment record

Salary commensurate with experience.

BY VIVIAN TYSON

G

Applications/resumes are to be dropped off at 007 SDR Complex, 176 South Dock Rd.

WANTED

• 1 Receptionist • 3 Barbers • 3 Beauticians • 4 Teachers All applicants must be great with kids please come with resume in hand Contact

344-0613/242-7658

Reliable Employment on behalf of Client: CAICOS CAFÉ is seeking:

1 Labourer/Cleaner to work daily 9:30-5:00 Must be reliable Salary $6.00 per hour Contact: 649-244-3200

THE MARANATHA HIGH SCHOOL Is seeking the services of a CLEANER Duties involved •Cleaning of school compound • Cleaning of Classrooms, Science Lab and Library • Setting up for functions and cleaning up after Interested persons should submit their applications by Thursday, June 6, 2013 to The Principal Maranatha High School 287 Millennium Highway Providenciales Turks and Caicos Islands Or by email: contact@maranathahigh.com

ABUNDANT LIFE MINISTRIES LTD Seeks 1 Cleaner Salary $5.00 per hour 1 Musician Salary $7.00 per hour Solomon Morency Seeks 1 Domestic Worker Salary $5.00 per hour

WANTED

EL RAPIDO WATER DELIVERY

SEEKS 1 DRIVER Applicant must be honest, reliable & hardworking and willing to work late hours Salary $6.00 per hour

Contact

242-5459

TURKS & CAICOS SUN

Contact 342-3733 THREADS TAILOR

SEEKS

1 TAILOR 1 DRESS MAKER Must have at least 20 years experience Salary based on commission

Contact 242-7211

overnor for the Turks and Caicos Islands His Excellency Ric Todd has rejected public suggestions that the TCI has not seen much capital investments over the past three years while the country was under direct rule by the United Kingdom. In an interview with The SUN on Thursday, May 23, Governor Todd points to several capital expenditures undertaken by government, which he said are significant to the country, and therefore disagree with the no investment argument. “If you look back at the last couple of years, there has been a significant number of capital investments by the government here on TCI. The causeway is one example, the millennium Highway is another. The H.J. Robinson is the third. So I think there has been progress in getting capital investment going here on TCI, and the FSPS (Fiscal and Strategic Policy Statement) has set out programme of capital spending over the next three years, which will have a significant impact here. Governor Todd also points to a number of private investments that are due to come on stream shortly, of which he said most of the kinks have been straightened out. He also spoke of other capital projects that government is undertaking. “The second thing is, in terms of attracting investment, I think TCI is quite remarkably successful over the last couple of years. The investments, for example, include the new FBO. We started investing in the new airport terminal, and the JW Marriot Hotel is going to start operation quite soon. In the last 18 months, the Interim Administration was able to agree on MOUs totaling invest-

ment of $750 million. So I think the investment is coming in. “We now need to work through those projects to make it happen and to ensure that they deliver prosperity here on the ground for the people of the TCI. The interest investors have shown over the last couple of years is really quite striking. I think TCI should be proud of its ability to offer to investors and the world, such an attractive possibility, at a time when the global economy is not in great shape,” he said. In the meantime, Governor Todd is hoping that the investments would transform into jobs for those without. He said outlined that the Ministry of Border Control and Labour is working assiduously to ensure that those without jobs get one. “Anyone can say the economic numbers are good, TCI is going the right way, the economy is growing, we have a fiscal surplus, investment is coming in – all of these things are true. But if you are a person, who is unemployed, then those facts look very different, and I never ever lost sight of the fact that unemployment isn’t a number, it’s a human tragedy. “Every person who wants a job and can’t get one, that is an extraordinarily difficult situation for them. But what I can say is the overall economy is growing, therefore there will be more prospects. Secondly, the Ministry of Border Control and Labour is committed to working with unemployed people and to try and help them to find employment. “Now there are employment opportunities here on TCI, and I think it is the job of government to help train and equip, people, especially young people, to be able to work well in the marketplace,” Governor Todd pointed out.


TURKS & CAICOS SUN

Page 15

MAY 25TH - JUNE 1ST, 2013

LOCAL NEWS

Government urged to probe religious persecution of Seven Day Adventists in TCI BY VIVIAN TYSON

M

ichael Smith, President for the Turks and Caicos Islands Mission of Seventh Day Adventists and Pastor for the Blue Hills SDA Church in Providenciales, is asking government to probe allegations of victimization of some of its members by employers because of their faith. Pastor Smith was delivering the Religious Liberty Day message at the church on Saturday, May 18. While acknowledging that the TCI Constitution has enshrined religious freedom in its preamble, Pastor Smith declared that there are pockets of intolerance for such inalienable right in the workplace. “I am grateful that our two members of Parliament (Premier Hon. Dr. Rufus Ewing and Opposition Leader Hon. Sharlene Cartwright-Robinson) indicated to us the challenges that we do face at times. As Seventh Day Adventist Believers, there is significant challenge of the Sabbath, and we are very grateful that you (Parliamentarians) are consciously aware that in the workplace there are infringes transpire that leads to persons not only being ostracized but even let go from their places of employment, because of the Sabbath issue. “And we do hope that that is something that can be looked at again in the broader context of freedom, to where a person should be able to serve their god according to the dictates of their conscience and, not being penalized on their job by being fired,” Smith said. Smith expressed the hope that more teeth akin to that of the Cayman Islands constitution can be placed in our Constitution, to hold violators accountable. In Cayman, employers who infringe on religious rights of their employees can be fined. For his part, Premir Ewing said that religious freedom should be cherished, since people in other countries are yearning for such right. “Freedom is something that

President for the TCI Mission of Seventh Day Adventist and Pastor for the Blue Hills Seventh Day Adventist Church Michael Smith presents Premier Hon. Dr. Rufus Ewing with book “When Good Speaks – Remember” during the Religious Liberty service we should not take for granted. We, in the Seventh Day Adventist Church are particularly vulnerable. And while we in the Turks and Caicos Islands are not exposed to the amount of injustices in other parts of the world in terms of persons being persecuted because of their religious choices or not being able to worship on a particular day or a particular time, we find that we, ourselves, find that there is a small fraction (of religious injustices in the work place) that we have to take notice of,” he said. However, the Premier, who is a practicing Seventh Day Adventists, said that while there is allegation of religious interferences on the job, it would have to be investigated and confirmed before any actions can be taken. “You can’t be a protector of religious freedom if the truth is not known,” he said. In the meantime, Opposition Leader Hon. Sharlene Cartwright-Robinson has vowed to protect religious freedom in the TCI, since it is not only a constitutional right but a blessing from God.

“I believe that all too often we are not thankful enough for this blessing and freedom that many around the world have been or are being prosecuted or killed for. God has been faithful to these Islands and I thank Him that we remain a Christian nation with a preamble that declares that ‘the people of the Turks

“GO SMART ” Testimonial: I booked my business trip to Florida with Turks & Caicos Travel Smart, I got a complete package…...airline ticket, hotel and car rental, it was affordable, hassle free and the whole trip was a GREAT success!!! I was please to receive a follow up call on my return to ensure that everything went well with my travel…..I will definitely be using this agency again………………… Sonny Forbes Jr.

Packages I offer several set of packages as well as tailor-made holidays all around the world: * Travel Impression Vacations * Brendan Vacations * Disney Packages * Apple vacation And so much more…

Airport Hotel Plaza Suites #7 Airport Road Providenciales Turks & Caicos Islands Tele: 649-242-1851 or USA 339-502-2388 Fax: 649-941-3281 Email:

and Caicos Islands are a God-fearing people with convictions based on sound Christian culture, values and principles’. Days like today ought to remind us to pause and give God thanks and praise for the liberty to worship Him in whatever form His Spirit leads,” Robinson said. She added: “This is why those of us who are custodians of the Constitution, be it as Leader of the Opposition or Pastor or residents, stand firm in the protection of these liberties. For so many reasons we need to ensure that God Himself is exalted so that this nation will be called blessed and also to ensure that there is a measure of order.” Meanwhile, Quelch-Stubbs told the audience that one of the mandates of her office is to ensure that everyone in the Turks and Caicos be given the opportunity to practice their religion of choice. “Whether you are here legally or illegally, you have a right to your freedom, and that right is protected and guaranteed,” she said. The event was also used to present a number of entities with appreciation plaques and memorabilia, including the Customs Department, the Human Rights Commission and corporate bodies.

With less than 50 days to go….get started on booking your summer vacation with us!!!

My services include: I book directly with all the following companies and often benefit from their special offers and discounts. * Air Turks & Caicos— domestic and international flights * All Major Airlines for International Flights….American Airlines, Delta, US Airways, Philippine Airlines, Liat, Air Canada, Bahamair…etc * All major car rental anywhere worldwide * Dollar/Thrifty Rent a Car — prepaid rentals * All hotels worldwide at very competitive rates, with the convenience of payment at time of booking * Cruises — Carnival Cruise Lines Norwegian Cruise Line Princess Cruise Line Royal Caribbean Cunard Queen Mary 2 Disney Seabourne Office Hours: Mon-Fri 9am-5:30pm & Sat 9am—1pm


Page 16

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

LOCAL NEWS

New Chamber President Jay Saunders vows to attract more Belongerowned businesses to its membership E

. Jay Saunders, the new President of the Providenciales Chamber of Commerce is making a thrust to attract more small locally-owned businesses to become members of that lobbying group by taking its meetings on the road. Saunders, who was elected President of the Commerce on May 6, said that he is concerned that there is a dearth of so called “Belonger-owned businessesâ€? represented in its membership. To this end, Saunders said that the Chamber will take its next meeting on June 3rd on the road at the Gustarvus Lightbourne Complex, Downtown Providenciales, where it is inviting the general business community to attend. “A major issue of concern for the new President is the low percentage of small businesses and Belonger owned businesses that are members of the Providenciales Chamber of Commerce. To immediately address this issue, the Chamber will, starting next month, take its monthly members meeting on the road as part of its newly instituted “Outreach Programme,â€? a release from the Chamber noted. Saunders will also use his tenure to push for all the chambers of Commerce in the TCI to unite under one umbrella so as to augment their lobbying efforts. The Chamber of Commerce in Grant Turk has no afďŹ liation to its Providenciales counterpart.

New Providenciales of Chambers President E. Jay Saunders.

'DQFLQJ8QGHUWKH6WDUV 6WDUV $1LJKWRI-D]]%OXHVDQG5RFN¡QQ¡5ROO

:LWK6RXO5HHGHPSWLRQ3HUU\'HOD DQF\ 3DW5LHOO%UHQWIRUG+DQGILHOG 3URYR3ULPDU\6 6WHHO%DQG 6XUSULVH*XHVWV 

  *11. 241812 *11. 24+/#4;5%* (4+&#;56/#; 7 t /#;2/ 2/706+. ,QWHUQDWWLRQDO%XIIHW$YDLODEOH H %HHU: :LQHDQG0DUWLQL%DU 5DIIOH' 'UDZDQG/LYH$XFWLRQ Q '064;6 6+%-'65 #66*'&1114  (145#.''#62418124+/#4 4; %#..146 614'5'48';1746+%-'6#&7.65510.;2.'#5'G 

$OOSURFHHGVZLOOEHQHILLW3URYR3ULPDU\ V6FKRODUVKLLS3URJUDPPH

And Saunders said he wants to change that, since there is more potency in togetherness. He said that the stronger the body, the better it would be at negotiating with government for a more desirable business periphery. “There is strength in numbers and we in the business community would be much better positioned to work with the Government to create the conditions for businesses to ourish, not just survive, if we work together,â€? Saunders said. Meanwhile, in addition to Saunders, who is the Chief Executive OfďŹ cer for Digicel TCI, the new Board of directors, who were voted in for a two year term are: Vice-President, Sean Astwood (CEO, Pelican Designs), who is also the Deputy Leader of the Peoples Democratic Movement (PDM); Secretary/Treasurer, Wendy Hill (Professional First Aid Trainer, Life Savers Health & Safety Consultant); Past-President, Tina Fenimore, and Advisors Clayton Been, Kenny Rigby, Jamie McAnally, and Colin Heartwell.   In his inaugural address, Saunders thanked the past Board, particularly outgoing President Tina Fenimore, for their hard work during the previous two years and promised to push to implement a number of the initiatives of the past Board. Chamber meetings are held at the Windsong Resort on Grace Bay, every second Tuesday of every month.

Primary Objective of the Job: The IT/IP Engineer will be responsible for the real-time management of all IT/IP based local and wide area networks which support the technical operations and services of Digicel TCI. Main Duties & Responsibilities: • Design IT/IP Network Architecture • Responsible for the design, installation and support of all IP based systems to support the technical operations of the business. • Design IP Numbering an addressing schemes, Development, Configuration and Implementation of IP based systems • Perform dimensioning and capacity planning of IP network • Implement and Support Cisco Call Manager PBX system. • Responsible for the operation and maintenance of all IP based systems, which include Cisco network devices, SUN Solaris servers. • Responsible for the operation and maintenance of all IP based services, IP traffic management utilising VLANs and routing protocols (RIP, OSPF), also DNS, Microsoft ISA 2004 Web PROXY, and NTP applications. • Perform all required software and hardware upgrades for above mentioned systems and services • Provide on-call support for after hour outages & planned works, including creation and submission of required forms • Develop and schedule preventative and corrective maintenance policies and procedures, such as regular backups, hardware/software upgrades, and spares inventory, to ensure high availability of all IP based systems. • Ensure that Digicel TCI continue to operate on secure local and wide area networks with the implementation of VPN technologies and firewall policy management • Provide proactive support of WAN data and voice links (VSAT, leased lines) to provide 100% availability of all IP services, including VoIP, PRI, ITP (SS7 over IP) and internet, and to ensure continued connectivity to other Digicel locations and external parties • Ensure adherence with IP Security Established standards and policies as they relate to new and existing LAN and WAN network infrastructure, IP traffic, and network configuration procedures • Ensure that network metrics are closely monitored and captured so as to provide proactive network management, as well as regular feedback on network performance in the form of reports to management • Provide IT/IP Support to other departments and external parties as required • Provide support for VAS systems. Academic qualifications and experience required for the job • 3-5 years’ experience in IT/IP based network design, implementation and administration • CCNA, CCNA Voice and Microsoft MCSE certification and Solid hands on experience with Cisco devices • In-depth knowledge of switching, routing, LAN and WAN technologies • Hands on experience with UNIX and/or Linux systems to support applications Splat and Solaris. • Design, implementation and operational knowledge of network security (VPN, firewall management, intrusion detection) • Minimum of a Bachelors Degree in Computer Sciences or equivalent field Interested Applicants should forward their resumes to hrtci@digicelgroup.com before June 14, 2013


TURKS & CAICOS SUN

Page 17

MAY 25TH - JUNE 1ST, 2013

LOCAL NEWS

Active 2013 Atlantic hurricane season predicted I

n its 2013 Atlantic hurricane season outlook issued today, the top National Oceanic and Atmospheric Administration’s (NOAA) Climate Prediction Center is forecasting an active or extremely active season this year. For the six-month hurricane season, which begins June 1, NOAA’s Atlantic Hurricane Season Outlook says there is a 70 percent likelihood of 13 to 20 named storms (winds of 39 mph or higher), of which 7 to 11 could become hurricanes (winds of 74 mph or higher), including 3 to 6 major hurricanes (Category 3, 4 or 5; winds of 111 mph or higher). These ranges are well above the seasonal average of 12 named storms, 6 hurricanes and 3 major hurricanes. “With the devastation of Sandy fresh in our minds, and another active season predicted, everyone at NOAA is committed to providing life-saving forecasts in the face of these storms and ensuring that Americans are prepared and ready ahead of time.” said Kathryn Sullivan, Ph.D., NOAA acting administrator. “As we saw first-hand with Sandy, it’s important to remember that tropical storm and hurricane impacts are not limited to the coastline. Strong winds, torrential rain, flooding, and tornadoes often threaten inland areas far from where the storm first makes landfall.” Three climate factors that strongly control Atlantic hurricane activity are expected to come together to produce an active or extremely ac-

tive 2013 hurricane season. These are: a continuation of the atmospheric climate pattern, which includes a strong west African monsoon, that is responsible for the ongoing era of high activity for Atlantic hurricanes that began in 1995; warmer-than-average water temperatures in the tropical Atlantic Ocean and Caribbean Sea; and El Niño is not expected to develop and suppress hurricane formation. “This year, oceanic and atmospheric conditions in the Atlantic basin are expected to produce more and stronger hurricanes,” said Gerry Bell, Ph.D., lead seasonal hurricane forecaster with NOAA’s Climate Prediction Center. “These conditions include weaker wind shear, warmer Atlantic waters and conducive winds patterns coming from Africa.” NOAA’s seasonal hurricane outlook is not a hurricane landfall forecast; it does not predict how many storms will hit land or where a storm will strike. Forecasts for individual storms and their impacts will be provided throughout the season by NOAA’s National Hurricane Center. In an average year, about six hurricanes and 12 named storms form in the Atlantic Ocean and Caribbean Sea. But this year is likely to be more active than normal for at least two reasons, say forecasters. One reason has to do with the temperature of the water where hurricanes tend to form. “The tropical Atlantic is very warm, much warmer than normal,” says Phil Klotzbach of Colorado State

University. “And since hurricanes live off of warm ocean water, we expect to see more tropical cyclones and probably more intense [ones] than an average season.” Another factor is the lack of so-called El Nino conditions, which occur when waters in the tropical Pacific heat up. An El Nino tends to produce wind patterns that tear apart Atlantic hurricanes as they approach the U.S. Last year at this time, many forecasters believed an El Nino was on the way, says Dan Leonard of Weather Services International. “And then in reality, El Nino wasn’t as strong as we initially thought.” So there were lots of storms, including 10 hurricanes. But most of them turned away from the East Coast as they encountered strong winds from the jet stream, Leonard says. Government forecasters say it’s hard to know whether those winds will continue in 2013. But Leonard says he sees some evidence that they will. “We think we’ll have a pretty active jet stream, and that should deflect a lot of these storms back out to sea,” he says, adding “that’s not to say that one can’t sneak through as we saw happen last year with Sandy.” Sandy struck the New York and New Jersey coast in late October and became the second-costliest hurricane in U.S. history. At the NOAA news conference, Sullivan urged people to think back to that storm as they prepare for the upcoming season

N IO T C U A IC L B U P Y B E L A S F NOTICE O Position available: Assistant Manager/Operations and Compliance Duties: • Manage the day to day operations of a money services business. Skills/Qualifications: • Minimum of 5 years experience at a senior level in a money services company • Minimum of 2 years commercial banking experience • Bachelor of Science degree in Finance • Training, experience and certification in Anti-Money Laundering and Counter Financing of Terrorism policies, procedures and practices • Demonstrated ability to organize and manage a complex product, service and procedures environment • Demonstrated trustworthiness in managing client and company funds SALARY $36,000-$48,000 PER ANNUM, PLEASE SUBMIT APPLICATION LETTER AND RESUME TO THE MANAGER @ tcihrstaff@gmail.com. THE DEADLINE IS 13th JUNE 2013. SUITABLE CANDIDATES WILL BE CONTACTED FOR AN INTERVIEW.

Notice is hereby given that the Chargee (holder of charge) pursuant to the Registered Land Ordinance, will cause to be sold by public auction the following property at the offices of Garland & Co Unit 12, La Vista Azul, Turtle Cove, Providenciales at 10.00 a.m. on 31 May, 2013:

Title No 10403/79, East Suburbs, Grand Turk Registered Proprietors: Edouard Joseph Kaelbel & Rhonda Ornelia Charles 0.33 acres of residential adjourning raw land located in East Suburbs, Grand Turk. Conditions of Auction and draft Agreement for Purchase and Sale, Block Plan and Registry may be collect from the Chargee’s attorneys, Garland & Co, Unit 12, La Vista Azul, Turtle Cove, Providenciales, Turks and Caicos Islands. Tel: 649-941-5905, Attention: Alvin Garland.


Page 18

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

LOCAL NEWS

Changes made to Providenciales Airport expansion plan I

ncremental changes have been made to phase two of the original Providenciales International Airport expansion plan, according to Chief Executive Officer for the facility, John Smith. Smith, in an interview with The SUN this week, explained that the undersized adjustments would not affect the larger plan of the project, and even if it does, would be negligible. “The external landscaping, we changed that around a bit to make it look a bit different. We then made adjustments to entry and exit of the car park. As it is with any development you are going to make changes, there is always going to be internal alterations, and we continue to do this. As we go along, if the feedback is to do changes, we will do that,” Smith pointed out. In the meantime, Smith said work at the facility is progressing smoothly and remains cautiously optimistic that such a progress would be maintained throughout the duration of the project. He said while all efforts would be made to allow the project to complete on time, one has to take into consideration the external and natural bumps that could delay work at the facility. “Things are progressing well. We are on scheduled, but we do not know what will happen down the road. All you need is one hiccup with a boat and things fall behind schedule. Everything imported and all you need is one hiccup. But nevertheless, we are trying to stay on schedule as best as we possibly can,” Smith said. In the meantime the Airports Authorities have released a statement on the current progress of

John Smith, CEO of Turks and Caicos Islands Airports Authority

the work. The following is the text: “Currently construction workers are on site daily plowing away in order to keep a tight 18 month timeline for completion at the end of 2014. The terminal expansion project is proud to boast that works are being completed by a team that is over 90% Belonger workforce. The expansion of the existing west car park has been the first area to undergo construction. The parking lot will replace the current lower lot placed directly in front of the terminal building. The elevated lot will have three tiers comprising of the executive lot, the main lot and the overflow lot. Upon entrance, patrons will have a larger number of parking spots to choose from and they will have the added convenience to exit on a slope direct to the new roadway. “Construction on the new traffic circulation system has also been undertaken at this point. The roadway will host a convenient round about to aid the flow of traffic. Persons can decide to continue to the parking lot from the centre of the roundabout or exit the airport roadway. “For the safety of the public, they can expect to see construction of the terminal building begin in approximately three weeks, where a protective barrier will be put in place to safeguard passengers whilst work continues on the lower parking lot as well as terminal roofing. “The TCIAA apologizes in advance for any discomfort that the construction works may cause as we are striving to complete these works in a seamless and timely manner.”


TURKS & CAICOS SUN

Page 19

MAY 25TH - JUNE 1ST, 2013

LOCAL NEWS

A-Snap: Local Art & Craft for Sustainable livelihood Retail Attraction Opens in Grand Turk T

he ever dynamic, tourism industry of the Turks and Caicos Islands (TCI) is about to be enhanced even more, as the A-Snap cultural and arts retail store supported by the Ariza Group of Companies (AGC) seeks to increase authenticity to the tourism product; and undoubtedly, create unique experiences and products on Grand Turk. The cultural and arts retail store will have its grand opening Friday, May 24rd 2013 at 4:30 PM at Pond Breeze Plaza, Good Street, Grand Turk. A-Snap is the brainchild of Pedro Ariza of Grand Turk. Mr. Ariza’s, with the view of creating and packaging authentic tourism products that visitors and locals would cherish. The focus of A-Snap is to embrace the culture of the TCI with emphasis on supporting and generating employment for the local community. The difference with A-Snap when compared to other retailers is that all products are made on island by local artists and artisans; whilst supporting sustainable livelihoods for those creating the work. Mr. Ariza stated: “This is going to be an authentic TCI experience, linking the past with the present through art and craft. A lot of the items being sold are unknown to the younger generation. This acts not

Pedro Ariza

only as a local attraction but also as an educational tool for the community. This is just what the island needs, encouragement for local artists and a place for them to continue developing their talent.� A-Snap hopes to be a favourite spot for tourists and purchasing of local arts and crafts. A-Snap dedication to building the community resilience is evident and has been demonstrated time and time again by Mr. Ariza. Mr. Ariza further stated that “we live in a community where talent is bountiful; however projects like this brings synergy through coordination. The end result for all will be success, however it will not be overnight and we must devise creative ways of making it work.� Doors open after the ‘traditional ‘ribbon cutting’ for A-Snap this Friday, 24th May, 2013 at 4:30 PM at the Pond Breeze Plaza, Good Street, Grand Turk. The general public is invited to attend as A-Snap seeks to bring more community involvement in this and its other endeavors. Contact: Pedro M Ariza, Owner/CEO/Engineer, Ariza Group of Companies at ariza@arizagroup.com or at PH: 649-2310988 and FX: 649-946-2782

STAFF VACANCY – MECHANICAL LABOURER, GENERATION Applications are invited from interested and suitably qualified individuals for the position of MECHANICAL Labourer, Generation, FortisTCI, Providenciales.

OBJECTIVES & PURPOSE OF THE JOB ‡3URYLGHJHQHUDOODERXULQVXSSRUWRIWKHZRUNRIJHQHUDOVLWHVHUYLFHKRXVHNHHSLQJDQG RUGHUOLQHVVXQGHUWKHJHQHUDOGLUHFWLRQRIWKH6XSHULQWHQGHQW3ODQW&RQWURO MAIN DUTIES/KEY RESPONSIBILITIES: ‡5HVSRQVLEOHIRUWKHGDLO\FOHDQLQJRIDOO*HQHUDWLRQRIILFHDQGEDWKURRPIDFLOLWLHV LQFOXGLQJIORRUVZDOOVIXUQLVKLQJVKHOYHVDQGWRLOHWIL[WXUHV ‡5HVSRQVLEOHIRUPDLQWDLQLQJWKHIORRUDQGWUHQFKHVDURXQGDOOHQJLQHVFOHDQHGDQGIUHH RIGLUWRLODQGJUHDVH(QJLQHKDOOVDQGWUHQFKHVPXVWEHFOHDQHGILUVWRIILQWKHPRUQLQJ DQGRQDFRQWLQXDOEDVLVGXULQJWKHFRXUVHRIWKHZRUNLQJGD\ ‡5HVSRQVLEOHIRUWDSSLQJXSMDFNHWZDWHUV\VWHPVZLWKFKHPLFDODGGLWLYHVDVGLUHFWHGE\ WKH6XSHULQWHQGHQW3ODQW&RQWURO,WLVDOVRWKHUHVSRQVLELOLW\RIWKHJHQHUDWLRQODERXUHUWR SODFHEXFNHWVDQGRLODEVRUEHQWSDGVDURXQGDQ\OXEHRLODQGRUIXHOOHDNVVRWKDWOHDNV are contained until repairs can be affected by the mechanics. ‡5HVSRQVLEOHIRUNHHSLQJWKHVXEVWDWLRQFRPSRXQGIUHHRIZHHGVDQGYHJHWDWLRQZRUNLQJ under the supervision of an electrical technician. ‡7KHJHQHUDWLRQODERXUHULVDVVLJQHGWRZRUNZLWKPHFKDQLFVRQFRPSOHWLRQRIKLV GDLO\SODQWFOHDQLQJURXWLQHDQGSURYLGHVDVVLVWDQFHLQFOHDQLQJRIHQJLQHSDUWVDQG RWKHUQRQVNLOOHGZRUN ‡7KHJHQHUDWLRQODERXUHUDOVRSURYLGHVDVVLVWDQFHWRWKHHOHFWULFDOPDLQWHQDQFHVHFWLRQLQ SK\VLFDODQGDSSOLFDWLRQRIFKHPLFDOVSUD\VWRNHHSWKHHOHFWULFDOJHQHUDWRUFRPSRQHQW FOHDQHGRIGLUWDQGJUHDVH ‡(QVXUHFRPSOLDQFHWRWKHFRPSDQ\œVVDIHW\SROLF\DQGSURFHGXUHVDQGFRQVLVWHQWDQG SURSHUXVHRILVVXHGSHUVRQDOSURWHFWLYHHTXLSPHQW 33(V ZKHQRQWKHSODQWVLWHDQG GXULQJWKHH[HFXWLRQRIZRUNGXWLHV ‡(QVXUHIDPLOLDULW\DQGIXOO\FRPSOLDQFHZLWKWKHFRPSDQ\œVHQYLURQPHQWDOFRPPLWPHQW DQGSROLF\DWDOOWLPHVGXULQJWKHH[HFXWLRQRIGDLO\ZRUNDFWLYLWLHVZLWKSDUWLFXODU emphasis to fuel and lube oil spill prevention. ‡5HSRUWDQ\HTXLSPHQWDEQRUPDOLWLHVRUGHIHFWVREVHUYHGGXULQJWKHFRXUVHRIHQJLQH VHUYLFHDQGSODQWKRXVHNHHSLQJDFWLYLWLHVWRWKH6XSHULQWHQGHQWRUWRWKHGHVLJQDWHG maintenance team leader. ‡2SHUDWHFRPSDQ\YHKLFOHVDVUHTXLUHGLQDPDQQHUFRQVLVWHQWZLWKFRPSDQ\SROLF\DQG 7&,WUDIILFUHJXODWLRQV ‡%HSURSHUO\DQGQHDWO\DWWLUHGLQWKHXQLIRUPSURYLGHGDQGHQVXUHFRQVLVWHQWDQG

DSSURSULDWHXVHRIDOOSHUVRQDOSURWHFWLYHHTXLSPHQW 33(V SURYLGHGZKHQRQSODQW FRPSRXQGRULQWKHH[HFXWLRQRIDVVLJQHGGXWLHV ‡5HVSRQGSURPSWO\ZKHQFDOOHGE\WKH6XSHULQWHQGHQW3ODQW&RQWUROLQUHVSRQVHWR HPHUJHQFLHVWKDWPD\DULVHRXWVLGHRIUHJXODUZRUNLQJKRXUV ‡)ROORZ6XSHULQWHQGHQW3ODQW&RQWUROGLUHFWLYHDQGEHGLOLJHQWLQFRUUHFWO\H[HFXWHGDLO\ plant site and equipment clean up duties. ‡3HUIRUPRWKHUGXWLHVDVPD\EHDVVLJQHGDQGRUUHTXLUHGE\3ODQW2SHUDWLRQVFRQWLQJHQcies from time to time. ACADEMIC/WORK EXPERIENCE REQUIREMENTS: ‡6XFFHVVIXOFRPSOHWLRQRID\HDUKLJKVFKRROSURJUDPZRXOGEHDQDVVHW ‡%HIDPLOLDUZLWKDQGTXDOLILHGWRRSHUDWHSODQWPDFKLQHU\VXFKDVIRUNOLIWV $VWKHODQJXDJHRIZRUNLV(QJOLVKFRPSHWHQFHLQYHUEDODQGZULWWHQ(QJOLVKLVUHTXLUHG CORE COMPETENCY SKILLS: ‡7KLVSRVLWLRQUHTXLUHVKHDY\OLIWLQJDQGKDUGZRUNWKHUHIRUHDQDIILQLW\IRUKDUGZRUN DQGH[FHOOHQWSK\VLFDOVWUHQJWKLVPDQGDWRU\ ‡7KLVSRVLWLRQUHTXLUHVWKDWFOHDQLQJZRUNEHGRQHLQDKLJKYROWDJHHQYLURQPHQW WKHUHIRUHWKHFDQGLGDWHPXVWEHDEOHWRZRUNVDIHO\DQGIROORZLQVWUXFWLRQVZKHQGRLQJVR ‡7KLVSRVLWLRQLVHVVHQWLDOO\WKDWRIDFOHDQHULQDGLUW\JUHDV\DQGQRLV\HQYLURQPHQW WKHUHIRUHDQDIILQLW\IRUKHDY\URXWLQHZRUNXQGHUDKLJKSUHVVXUHDQGQRLV\LQGXVWULDO environment is a necessary aptitude. ‡7KHKROGHURIWKLVSRVLWLRQPXVWEHKLJKO\PRWLYDWHGDVHOIVWDUWHUZKRQHHGVOLWWOH supervision, and solution oriented. ‡([FHOOHQW7HDPSOD\HUTXDOLWLHVDQGVHOIGLVFLSOLQHLVPDQGDWRU\ ‡&RPSHWHQF\LQZULWWHQDQGRUDOFRPPXQLFDWLRQVNLOOVLQ(QJOLVK ‡6HOIPRWLYDWHGVROXWLRQRULHQWHGDQGSRVLWLYHLQRXWORRN COMPENSATION Deadline for submission of applications is June 7, 2013. Kindly submit applications stating qualifications and work experience to: Manager, Human Resources FortisTCI Limited P. O. Box 132, Providenciales Email address: hrapplications@ppcltd.tc fax: 649-941-4304


Page 20

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

Graduations Prom & Birthdays! Make Carambola Grill and Lounge Your First Choice for Catering this year!

We Cater For: Showers Group Lunches/ Meetings Church Functions School Functions Private Parties Weddings Birthday Parties Private Villas

EXPECT: We offer professional catering for any occasion!

‡3HUVRQDOLVHGPHQXV ‡)UHVKO\VRXUFHGLQJUHGLHQWV IRUDOORXUGLVKHV

7HO  

‡)XOO\VWRFNHGEDUDOFRKROLF DQGQRQDOFRKROLFEHYHUDJHV  FKDPSDJQHZLQHIUR]HQGULQNV

7&,$LUSRUW+RWHO3OD]D DQGDQDVVRUWPHQWRIOLTXRUV

$LUSRUW5RDG3URYLGHQFLDOHV ‡&KLOGUHQ VPHQXRSWLRQV ZZZFDUDPERODWFLFRP HPDLORUGHU#FDUDPERODWFLFRP /LNHXVRQ)DFHERRN KWWSIDFHERRNFRPFDUDPERODWFL


TURKS & CAICOS SUN

MAY 25TH - JUNE 1ST, 2013

Page 21


Page 22

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN


TURKS & CAICOS SUN

MAY 25TH - JUNE 1ST, 2013

Page 23


Page 24

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN


TURKS & CAICOS SUN

MAY 25TH - JUNE 1ST, 2013

Page 25


Page 26

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

ICONA POP LYRICS

“I Love It” I got this feeling on the summer day when you were gone. I crashed my car into the bridge. I watched, I let it burn. I threw your stuff into a bag and pushed it down the stairs. I crashed my car into the bridge. I don’t care, I love it. I don’t care. I got this feeling on the summer day when you were gone. I crashed my car into the bridge. I watched, I let it burn. I threw your stuff into a bag and pushed it down the stairs. I crashed my car into the bridge. I don’t care, I love it. I don’t care. You’re on a different road, I’m in the Milky Way You want me down on earth, but I am up in space You’re so damn hard to please, we gotta kill this switch You’re from the 70’s, but I’m a 90’s chick I love it! I love it!

I got this feeling on the summer day when you were gone. I crashed my car into the bridge. I watched, I let it burn. I threw your stuff into a bag and pushed it down the stairs. I crashed my car into the bridge. I don’t care, I love it. I don’t care, I love it, I love it. I don’t care, I love it. I don’t care. You’re on a different road, I’m in the Milky Way You want me down on earth, but I am up in space You’re so damn hard to please, we gotta kill this switch You’re from the 70’s, but I’m a 90’s chick I don’t care, I love it. I don’t care, I love it, I love it. I don’t care, I love it. I don’t care, I love it, I love it. I don’t care. I love it.


TURKS & CAICOS SUN

Page 27

MAY 25TH - JUNE 1ST, 2013

ENTERTAINMENT

Bidder pays $1.5 million for a trip into space with Leonardo DiCaprio

H

ow much would you pay to sit next to Leonardo DiCaprio? Now, how much would you pay to do it ... in space? Apparently $1.5 million is the going rate for a trip to the stars with a star, because that’s what some lucky bidder ponied up at the amFAR Cinema Against AIDS Charity Thursday night at Cannes, according to The Hollywood Reporter. The high bidder has paid a price worthy of Jay Gatsby to be seated next to the Oscar nominee and will have a place on Richard Branson’s Virgin Galactic space flight. The “Oscars experience” was listed in the auction booklet for the event as a “once-in-a-lifetime trip to space with a mystery guest.” There’s no indication whether the bidder knew ahead of time who he or she would be sitting next to. Another pair of seats on the same flight went to a second bidder for $2.3 million moments later. Weinstein Co. founder Harvey Weinstein appears to have had something to do with the big bid to be DiCaprio’s seatmate; he told the Hollywoood Reporter before bidding began, “We’re going to get someone to bid on a seat next to him.” E! Online reported that another package featuring DiCaprio -- which includes tickets to the pre-

A

ctress Amanda Bynes was arrested in her New York apartment Thursday night on charges of reckless endangerment, tampering with evidence and criminal possession of marjuana, NBC New York reported.

LEONARDO DiCAPRIO miere and after-party of his new film “Wolf on Wall Street,” along with a room at the Beverly Hills Hotel, a Chopard watch and tickets to some high-profile Oscar parties -- also went for $2.3 million. Other items auctioned off included Adrien Brody’s Bulgari watch -- which he was wearing ($116,000) and a house party package with Duran Duran ($776,000). AmFAR reported it had raised $25 million from the event, up from $11 million in 2012.

Madonna says no hanky panky for her daughter Lourdes and her date Timothee

S

trict Madonna finally let her daughter Lourdes Leon go on a date with her boyfriend, “Homeland” star Timothée Chalamet, without parental supervision. But the Material Girl sent a burly chaperone to keep a very close eye on the young couple. Lourdes, 16, and Timothée, 17, classmates at LaGuardia HS of Music & Art and Performing Arts on the Upper West Side, were spotted Saturday night at Brother Jimmy’s BBQ on Second Avenue. Page Six exclusively reported in April that the two were dating, and shortly after, they were spotted on a double date with Lourdes’ father, Carlos Leon, and his fiancée. But on Saturday, Lourdes escaped the watchful eye of her protective parents to have dinner chaperoned by one of Madge’s bodyguards. While the lovebirds sat

at a corner table, the guard sat at another and “never took his eyes off of them,” a source told us. Spies told us Timothée reached a few times across the table and grabbed his date’s hand. “They were leaning close together to talk before food came. He was making her laugh a lot,” a spy said. The teens went Dutch on the $51 bill. When the date was over, the bodyguard swiftly escorted the two to a chauffeured car. Timothée, whose character on “Homeland” was aptly shadowed by Secret Service agents on dates, graduates this year. Lourdes graduates in 2014. Madonna recently told “Extra” about Lourdes’ companion, “She has a very nice boyfriend.” But asked if that was Chalamet, she turned coy and said, “I don’t know!”

Brad Pitt: ‘I haven’t known life to be happier’

B

rad Pitt opens up about his life as a devoted family man in the actor’s first print interview since his wife Angelina Jolie bravely announced she underwent a double mastectomy to save herself from the risk of breast cancer. While the 49-year-old doesn’t talk about the surgery – the procedure was still a secret when he was being interviewed – he does talk about how he’s happier than ever, despite the bumps in the road. “I have very few friends. I have a handful of close friends and I have my family and I haven’t known life to be any happier,” the father of six told Esquire in their cover interview. “I always thought if I wanted to do a family, I wanted to do it big. I wanted there to be chaos in the house. There’s constant chatter in our house, whether it’s giggling, screaming, crying or banging.” He added, “I love it. I hate it when they’re gone. Maybe it’s nice to be in a hotel room for a day ‘Oh, nice, I can finally read a paper’. But then, by the next day, I miss that cacophony, all that life.”

AMANDA BYNES ARRESTED, THREW BONG OUT WINDOW

The “World War Z” star also shared with the men’s magazine that he’s had a history with drugs, but he decided to move on. “For a long time I thought I did too much damage - drug damage,” he said. “I was a bit of a drifter. A guy who felt he grew up in something of a vacuum and wanted to see things, wanted to be inspired. I spent years [bleeping] off. “But then I got burnt out and felt that I was wasting my opportunity. It was a conscious change. This was about a decade ago. It was an epiphany – a decision not to squander my opportunities. It was a feeling of get up. Because otherwise, what’s the point?” Pitt opened up to the men’s mag on April 1, roughly one month into Jolie’s series of surgeries to remove breast tissue. Jolie was diagnosed with the BRCA 1 gene and was given an 87% chance of developing breast cancer before undergoing a double mastectomy. The June/July issue of Esquire hits newsstands May 31.

Amanda Bynes The doorman of the building called police to report that Bynes was smoking marijuana in the lobby, sources told the station. Before officers arrived, Bynes, 27, had gone back to her 36th floor apartment, and when police came to her apartment, she reportedly tossed the water pipe out the window. Sources told NBC New York that Bynes was taken to Roosevelt Hospital to undergo a psychiatric evaluation, then to a Midtown police station to be processed, and was expected to spend the night in jail and appear in court on Friday. Bynes is on probation for three years for driving with a suspended license and also has a DUI case pending in southern California. She moved to New York last fall. In April, Bynes drew attention for shaving half of her head, and she’s been a vocal poster on Twitter. In December, charges in two separate hitand-run incidents against her were dismissed. As a child actress, she starred in the sitcom “All That” and in her own sketch comedy show, “The Amanda Show.” She also appeared in numerous movies. In 2012, she announced that she had retired from acting, an announcement she had also made in 2010 and later revoked.

BIEBER THREATENS PARTY GUESTS WITH $5M SUIT

J

ustin Bieber’s party guests must agree to a strict set of rules, or they’ll get sued for $5 million. TMZ has published a copy of Bieber’s “Liability Waiver and Release,” which bans guests from posting details, photos or recordings from the singer’s Calabasas home onto any social media platform, including Twitter, Facebook and Instagram. Guests are also forbidden from talking about the “physical health, or the philosophical, spiritual or other views or characteristics” of Bieber and his guests. Anyone who breaks these rules will get slapped with a lawsuit seeking $5 million in damages. The document also warns there may be activities at the party which may be “potentially hazardous and you should not participate unless you are medically able and properly trained.” It notes risks such as “minor injuries to catastrophic injuries, including death.” To be fair, TMZ writes that many other stars make visitors sign similar waivers before entering their homes.


Page 28

MAY 25TH - JUNE 1ST, 2013

WANTED Experienced Beauticians & Nail Techs

Booth rentals

TURKS & CAICOS SUN


TURKS & CAICOS SUN

MAY 25TH - JUNE 1ST, 2013

Page 29


Page 30

FUN&GAMES

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN


TURKS & CAICOS SUN

MAY 25TH - JUNE 1ST, 2013

Page 31

FUN&GAMES


Page 32

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

News CARIBBEAN

Opposition party in Cayman Islands wins 9 of 18 seats to dominate new coalition gov’t

G

EORGE TOWN, Cayman Islands — Election officials in the Cayman Islands say the opposition party has won nine of 18 seats, one short of a majority needed to control the British territory’s legislature. The results released Thursday mean that 52-year-old attorney Alden McLaughlin’s People’s Progressive Movement will be the dominant force in a coalition government. Negotiations to choose the next leader are set to begin. Political analysts say McLaughlin is the presumed pick to be Premier. McKeevan Bush, a former premier who was ousted from leadership last year amid a corruption probe won re-election to his seat. But Bush’s United Democratic Party won just three seats overall. The current Premier Juliana O’Connor-Connolly, who replaced Bush after he was removed in a no-confidence vote last year, won her seat in Cayman Brac and Little Cayman where she ran as an independent. The PPM had the most success in the large George Town district, winning four of six seats, along with Bodden Town, where it won all four seats. The UDP won all four seats in the West Bay district. McLaughlin, a former Education Minister, told the Cayman Compass newspaper that his party would look to work with any of the independent candidates, including the Coalition for Cayman candidates, to form a government. “We have got nine seats, so we have to go now and talk to everybody in the piece about their willingness to work with us,” he said. “The country does not need any more division.” Following the election success, the leader of the People’s Progressive Movement Alden McLaughlin has laid out his party’s priorities. He foresees an almost immediate meeting with the UK Foreign and Commonwealth Office to present a plan to bring Cayman back on a path to prosperity and to speak about the rebuilding of the relationship between the Cayman Islands government and the UK government. Rather than focus on just the next budget, Mr. McLaughlin said he wants to look at a period of at least four years. “There are challenges that are there now and there are challenges that are going to be there for quite some time, given the state of the global economy and given the state of the Cayman Islands government’s finances,” he said. “So none of this is going to be easy and we are not going to be able to fix anything by the snap of a finger. And we are certainly not going

TWO KILLED AND THREE OTHERS INJURED AS GUNMEN GO ON SHOOTING SPREE IN THE BAHAMAS

N

ASSAU, The Bahamas – Police say they are questioning five people after two men were shot and killed and three others hospitalised in serious condition, on Monday.

Alden McLaughlin to make promises about turning the economy around in 90 days.” Asked whether he would demand more fiscal flexibility outside of the parameters set by the UK government, Mr. McLaughlin said he would hesitate to use the word “demands”. “But that is certainly something that we want to look at because austerity has not worked in Europe.” “I think even its strongest proponents have now to acknowledge the tremendous damage that has been done to the economies of certain countries in Europe and to people’s lives by unrealistic austerity measures,” he said. Mr. McLaughlin said the main priority is to restore trust and confidence. “We have said from the very start the most important task for any new administration is to restore confidence in government and in the Cayman Islands as a whole, because nothing else is possible without that. “All the things that we need to do to get the economy moving again and getting people jobs depend upon that cornerstone,” he said. Austerity measures, such as cutting the size of the civil service, would undermine this confidence. “We certainly don’t want to go down the road of having the civil service to worry again about being sent home or salaries being cut and that sort of thing. That just undermines confidence and they spend less in the economy,” Mr. McLaughlin said. “We can’t tax ourselves out of the recession and we certainly are not going to get ourselves out of the recession by taking measures, which cause the population and investors to be concerned about whether they’ll spend.” Much more developed and broader based economies than the Cayman Islands are struggling, he said. “Given the fact that we rely so heavily on inward investment and the confidence of people overseas who utilise our financial services, we

The police said that a 40-year-old man and a 17-year-old youth were shot and killed by unidentified men who left the scene in a stolen vehicle. The names of the men killed were not disclosed and the police said that following the killings, three other men were shot and wounded.

have to bear all of that in mind. “There are no quick fixes,” he said. The Caymans, while a tropical vacation destination, are best known as a hub for the financial services industry. The territory is a tax haven, which makes it useful to hedge fund investors seeking to cut costs. More than 9,000 hedge funds are headquartered in the tiny territory. But the Cayman Islands are also where 57,000 people live and work. And although it is technically a British Overseas Territory, the population is largely autonomous when it comes to governance. The Cayman Islands in particular enjoyed a GDP of $3.2 billion in 2010, the last year on record with the U.N. The GDP per capita is $57,050 -- higher than in the United States. That wealth is largely generated by the financial services industry, but it pales in comparison to the actual value of hedge fund assets held in the territory, which are estimated at $2.2 trillion. If that were the gross domestic product of the Cayman Islands, this territory of just 100 square miles (260 square km) would be the ninth biggest economy in the world. Cayman Islands officials have indeed taken steps to dispel concerns about shady activities. They promise to enter into agreements with the United States and the United Kingdom to facilitate the automatic exchange of tax information. McLaughlin, the presumptive premier, has served in the Legislative Assembly only since 2000 and became leader of the PPM just two years ago, replacing Kurt Tibbbetts who was also re-elected. O’Connor-Connolly’s tenure as the country’s first female premier was brief, clocking in at a scant five months. Until December 2012, the UDP governed under Premier McKeeva Bush. He was first elected to the 18-member assembly in 1984 and became premier when his UDP won a majority of seats in 2009. By that time, Bush had already gained a reputation for corruption and mismanagement. It came as little surprise when, in 2012, he was arrested on suspicion of foul play and removed from office following a no-confidence vote. He was formally charged with two counts of misconduct in public office, four counts of breach of trust, and five counts of theft. He made his first court appearance in April; his next is scheduled for late June. That didn’t stop Bush from contesting a seat in the Legislative Assembly this time around, in his district of West Bay.

“Preliminary reports indicate that the victims were sitting outside a business establishment on Mt. Pleasant Avenue along with others, when they were approached and subsequently shot multiple times by a group of males” who fled the area in the same stolen vehicle, the police said in a statement.

The police said the men, ages 56, 37 and 27 years remain in serious condition at hospital. The authorities said they later engaged the occupants of the vehicle in a shootout and that an 18 yearold male had been shot and injured and a high powered weapon confiscated.


TURKS & CAICOS SUN

Page 33

MAY 25TH - JUNE 1ST, 2013

CARIBBEAN NEWS

Economic development is still possible when there is no growth, says Barbados Prime Minister Stuart I

t is possible to have economic development when no growth is taking place. This view was expressed by Prime Minister Freundel Stuart last Wednesday as he delivered the feature address at the Barbados launch of the UNDP’s Human Development Report 2013 - The Rise of the South: Human Progress in a Diverse World, at UN House. Mr. Stuart said economic development was possible because structural changes were taking place that had the effect of making life better for a larger number of people. “Capacities are being created and flexibilities are being put in place to respond to the diverse needs and aspirations of as large a number of people as possible,” he underscored. According to him, the history of the Caribbean, including Barbados, is evidence that growth “is not necessarily an end of itself”. He noted that this island was once described as the jewel in the British crown because of its capacity to produce sugar for export, and while there was much economic growth, there was no evidence of schools, hospitals, or a safety net to protect the elderly. “There was evidence sometimes of child labour; [and] there was crude disrespect for women...Yet, Barbados was

growing... That was the Caribbean story. We were growing, but the benefits of that growth were not being shared with the most vulnerable elements in the society. So growth, while important for any country, has its limitations if it is not... modified to serve the ends of the most vulnerable and needy elements in the society...,” the Prime Minister contended. He stressed, however, that strategies in this region were “quietly and steadily modified” to take account of the existence of people who were in need of a voice in the community, but also the benefits that flowed from the economic activity which was taking place in the society. “During that period, there was a decline in growth, but that decline in growth did not necessarily mean that the society was worse off, because changes were taking place that would now benefit a larger number of people, and that would put the society on a road to be a more inclusive society and make the economy serve a larger number of actors,” he surmised. Mr. Stuart reminded his audience that the scope for development “is never shut off” and stressed that people in this region must not allow themselves

to be imbued with a sense of inadequacy. “We are the equals of people anywhere, [and] we have the same capacities. Our countries may not be identically endowed, but we have endowments which we can exploit; we have capacities of which we can take advantage and of which we have been taking advantage. We have things which we can teach other people in other parts of the world,” he stated. Therefore, he suggested, that those countries in the South, as well as those in the North, needed each other. However, he noted that those in the South must continue to evaluate their strengths and see how they could change the world by challenging those orthodoxies that were now discredited because of the crisis the world is currently going through. Mr. Stuart urged those in the South not to see problems, but opportunities to strengthen the countries in that group. He added that the South should exert influence on the countries in the North in an effort to make the world a better place. Barbados is ranked 38 out of 187 countries in the Human Development Report of 2013.

Unlawful search warrant will cost Cayman Islands A

police search warrant issued against a local woman last year was judged to be unlawful by a Cayman Islands Grand Court justice on Tuesday after Crown prosecutors said the matter should be dropped due to a “fatal defect”.   Essentially, the warrant was issued against Sandra Catron’s home and vehicle by a justice of the peace, who neither recorded what police said to him during the warrant application process or obtained an oath of truthfulness prior to the warrant application from the officers.  According to the Caymanian Compass newspaper, Justice Alex Henderson, hearing the case, said failing to record the statements of police was not a good practice and that applying for a warrant before a “judicial figure” without swearing an oath was a blatant violation of the Criminal Procedure Code.   “It sounds to me like [the police officer] dropped in, chatted with [the justice of the peace] a few minutes and got him to sign the warrant,” Mr. Justice Henderson said during a judicial review hearing on the case.   After consulting with Royal Cayman Islands Police Service Commissioner David Baines about the issue, Senior Crown Counsel Suzanne Bothwell stated that the oath-taking from the police officer was a “statutory precondition” under the criminal code.   “That has not been satisfied ... in this case,” Ms Bothwell said. “The warrant must be held to be invalid on this particular ground.”  

Senior Crown Counsel Suzanne Bothwell Justice Henderson scolded the Crown counsel during the Grand Court hearing, stating it was “blindingly obvious” that a warrant application given to a justice of the peace by a police officer must be done under oath.   “That’s the rule in every western democracy,” Mr. Henderson said.   The Grand Court judge also noted that there were other deficiencies in the warrant application process that would probably lead to a damages claim against the government by Ms Catron. Justice Henderson said he would like to the see the justice of the peace involved in this case, Louis M. Ebanks, absolved of any personal liability if that proved to be the case.   “The justice of the peace must have

a clear understanding of the elements of the offence,” Mr. Henderson said Tuesday. “He must ask himself whether each element of that offence is present. It is not enough that a police officer subjectively believes an offence has been committed.”   Mr. Ebanks’ testimony in Grand Court last Friday indicated that he signed a search warrant that alleged Ms Catron had been involved in misuse of ICT network offences even though he did not appear to understand the offence described in the warrant.   About a month after approving the search warrant, the justice of the peace signed a notarised affidavit in which he stated police officers seeking the warrant provided him with absolutely no evidence regarding the offence Ms Catron had allegedly committed.   According to the affidavit from Mr. Ebanks: “... police never provide me with any evidence when having a warrant signed”.   Ms Catron said she was weighing whether to file a lawsuit against the government over the warrant issue, but said she hoped the matter could be settled amicably out of court.   Justice Henderson noted during the review of the search warrant process: “These failures were not deliberate. They were the result of, as Mr. Ebanks said, long-standing custom. Had the attorney general taken a real considered look the day after he received [the judicial review application on the search warrants], they probably would have given up at that stage.”  

CARIBBEAN WILL DOMINATE GLOBAL SAVING AND INVESTMENT SAYS WORLD BANK

W

ASHINGTON – A new World Bank report predicts that in less than a generation, the Caribbean will be among developing countries dominating global saving and investment. The World Bank’s Global Development Horizons (GDH) report says that by 2030, half the global stock of capital, totaling US$158 trillion (in 2010 dollars), will reside in the developing world, compared to less than one-third today, with countries in East Asia and Latin America and the Caribbean accounting for the largest shares. The report explores patterns of investment, saving and capital flows as they are likely to evolve over the next two decades. Titled “Capital for the Future: Saving and Investment in an Interdependent World”, GDH projects developing countries’ share in global investment to triple by 2030 to three-fifths, from one-fifth in 2000. The report says productivity catch-up, increasing integration into global markets, sound macroeconomic policies, and improved education and health are helping to speed growth “and create massive investment opportunities, which, in turn, are spurring a shift in global economic weight to developing countries.” It says although demographics will play a “positive role, as dependency ratios are projected to fall through 2025,” financial market development in Latin America and the Caribbean, which reduces precautionary saving, and a moderation in economic growth “will play a counterbalancing role.” With developing countries on course to add more than 1.4 billion people to their combined population between now and 2030, the report says the full benefit of the demographic dividend has yet to be reaped.


Page 34

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

CARIBBEAN NEWS

Regional Security System makes major dent in illegal drug trafficking in Caribbean B

RIDGETOWN, Barbados – A senior official of the Barbados-based Regional Security System (RSS) says despite several challenges, the security group continues to make a significant contribution to the fight against illegal drug trafficking in the Caribbean. “From 2001 to April 2013, the maritime sector has netted in excess of 90 000 pounds of cannabis, 15 400 kilograms of cocaine and seized approximately US$2.52 million,” said the RSS Deputy Executive Director, Major Horace Kirton. “In addition to these seizures, as a joint effort, Coast Guards and Marine Units have also assisted in the seizure of 131 vessels, 11 vehicles and the arrest of 618 persons. “These statistics only reflect operations that involved the RSS Air Wing. Of course, there are

other maritime operations which were successful and add to the statistics identified here,” he said as he outlined over 2 700 counter drug missions conducted in conjunction with the RSS Air Wing. Major Kirton told the closing ceremony of the RSS Basic Seamanship Course that there were significant obstacles being revealed as the RSS carried out its operations against illicit narco-trafficking activity. “Trends in illicit narco-trafficking activity in the RSS domain have revealed deficiencies with having an unbalanced complement of vessels. “Take for example, the coopering vessels carrying the illicit materials which now prefer to cooper at least 40 miles from shore. Offshore patrol vessels are better suited to intercept at this

St. Lucia PM wants new development strategy with international financial institutions

C

ASTRIES, St. Lucia– When the Caribbean Development Bank (CDB) Wednesday began its 43rd Board of Governors meeting in St. Lucia last week, with St. Lucia’s Prime Minister Dr. Kenny Anthony calling on the international financial institutions such as the International Monetary Fund (IMF) to develop a new strategic partnership with the region.   Anthony, in a wide ranging address to the governors that also include heads of governments, finance ministers and representatives of developed countries, such as Britain and Canada, said that the financial institutions “prescribe for us but very rarely do we tell them what we expect of them, what we want from them”. He said the international institutions, of which the region holds membership, must be able to “facilitate our integration into the global economy. “To do this we must be must be very clear of our objectives and our relations with these institutions. The IMF for instance, must join with us to petition the international community for special terms on which debt can either be restructured or reduced. “If the institution insists that debt above certain levels is a binding constraint on growth and countries have exhausted all the avenues recommended by them, then the international community will have to play a critical role so that growth can be re-started”. Anthony said also that the World Bank group must also be encouraged to mobilise significant funding on reasonable terms for infrastructural development “and to re-start the growth process. “In addition, through the IFC, they need to make major efforts, along

with the governments at the national level, with developing the domestic private sector and to encourage the entry of foreign investments in the sectors identified for leading the growth process”. Anthony, the outgoing chairman of the region’s premier lending banking institution, said “concentrated effort is needed by the World Bank group to get the engine of growth moving again. “”I want to suggest that we look into the possibility of creating a consortium like the former Caribbean Group for Cooperation for Economic Development which was responsible for significant success in mobilising substantial funding in the 1980s when the region experienced one of its fastest rates of growth”. The St. Lucia Prime Minister said that the various initiatives now being undertaken by the IMF with the discussion on small states, the World Bank and the Caribbean Growth Forum “can culminate in such an institutional framework to pursue certain… objectives with specific timelines. Anthony said even the World Trade Organization (WTO), “despite the pain it has unleashed on the banana producing countries of the region, is crucial to the integration of the region into the international financial system. “The region has to devise a strategy to treat with the trade and access to markets for existing and new goods and services. You will have to jointly on a regional basis devote the requite resources to the hosting of opportunities and making the connections to successfully insert ourselves into the major supply chains that service international trade.”

range,” he added. Kirton said that with “a mere 11 per cent” of their operational vessels built with capacity to perform effectively in the Exclusive Economic Zones, it was critical for the maritime sector to take centre stage in the RSS’ work plan. The RSS was established in 1982 out a need for a collective response to security threats in the region. It includes Antigua and Barbuda, Dominica, St. Lucia, St. Vincent and the Grenadines and Barbados. Its express function is to ensure the stability and well being of the Eastern Caribbean region through mutual cooperation, in order to achieve social and economic development and to maintain the principles of democracy, liberty of the individual and rule of law.

Venezuela tries to end toilet paper shortage O

il-rich Venezuela is moving to end shortages of toilet paper and other hygiene products. The country’s National Assembly has approved a $79-million credit for the country’s Ministry of Commerce. AFP reports that the funds will be used to purchase 39 million rolls

A man carries toilet paper at a supermarket in Caracas, Venezuela, on May 17. The country’s legislators have authorized funds to buy basic personal hygiene supplies. of toilet paper, 50 million sanitary napkins, 10 million bars of soap, 17 million disposable diapers and three million tubes of toothpaste. Reuters reported that Venezuelans are scrambling to get staple products. At one supermarket, a stack of toilet paper sold out in five minutes, prompting store workers to remind customers they could only buy four packages at a time. “It’s a sad moment when a rich country like Venezuela reaches this situation,” Yenny Caballero told Reuters at a store in Caracas, the capital. Analysts point to price and currency controls for the shortages. They say the currency controls limit the country’s ability to pay for foreign products, while the price controls curtail private-sector incentives to increase output. President Nicolas Maduro, selected by the dying Hugo Chavez to continue his “Bolivarian Revolution,” blames the shortage on the private sector, the United States and opposition political groups. Maduro won April’s presidential election by a very narrow margin. Ruling party politicians claim the shortages are due to panic buying by consumers and hoarding by merchants who hope to drive up prices. “We have consistently denounced the strategy of hoarding and speculation, and the campaign of terror that has spread among the people, forcing them to buy compulsively and fearfully,” Jose Avila, a member of the ruling party, told AFP. Venezuela’s rate of inflation, which is currently about 25 per cent, is said to be the highest in Latin America, while the country’s currency, the bolivar, has been repeatedly devalued.


TURKS & CAICOS SUN

Page 35

MAY 25TH - JUNE 1ST, 2013

News W

RLD

House won’t follow Senate lead on immigration bill, says Speaker Boehner

U

.S. House of Representatives Speaker John Boehner said on Thursday his chamber would chart its own path on immigration rather than simply considering a Senate-passed measure, quashing hopes some Democrats had for quickly enacting the landmark legislation. “While we applaud the progress made by our Senate colleagues, there are numerous ways in which the House will approach the issue differently,” Boehner said in a statement. “We will not simply take up and accept the bill that is emerging in the Senate if it passes,” he added. The full Senate is expected to start debating an immigration bill

next month that aims to lift the threat of deportation for 11 million illegal immigrants and put most of them on a 13-year path to citizenship. Senate leaders hope to hold a vote on the bill by the end of June. It is unclear if enough House Republicans will embrace the path to citizenship, which many of them call “amnesty” for those who came to the United States illegally or overstayed visas. The Senate measure got a boost this week when its Judiciary Committee, in a bipartisan 13-5 vote, approved the measure that would also strengthen border security and revamp visas for foreigners.

With a group of House negotiators unable so far to produce a bipartisan bill to present to the full House, some Democrats, including No. 2-ranking Representative Steny Hoyer, have suggested the possibility of just taking up the bill the Senate passes this summer. The Republican-controlled House, which is more conservative than the Democratic-held Senate, is expected to have a tougher time passing an immigration bill this year, even with broad popular support for reform and the growing political clout of Hispanic-Americans, who voted heavily for Democrats in last year’s election.

That was evident on Thursday as the eight Republican and Democratic House negotiators met privately for about an hour. Four years into their negotiations, the group again failed to seal a deal, despite proclamations from some of them last week that an agreement in principle had been reached. Nor did the group break apart, as some of them had threatened if there were no deal by Thursday. They hope over the next week or so to write legislation that defines what steps newly legalized immigrants would have to take to ensure they do not use any government resources to help cover their healthcare costs - a key Republican demand.

British police arrest two more over London attack B

ritish police arrested two more people on Thursday in a hunt for accomplices of two British men of Nigerian descent accused of hacking a soldier to death on a London street in revenge for wars in Muslim countries. The two suspected killers, now under guard in hospitals, had been known to security services before Wednesday’s daylight attack, security sources said. Another man and a woman, both aged 29, were detained on suspicion of conspiracy to murder. One of the assailants, filmed calmly justifying the killing as he stood by the body holding a knife and meat cleaver in bloodied hands, was named by acquaintances as 28-year-old Londoner Michael Adebolajo - a British-born convert to Islam. So frenzied was the attack, some witnesses thought they were trying to behead and disembowel the victim, who was named as a 25-year-old Afghan war veteran working as an army recruiter. The attack, just a month after the Boston Marathon bombing and the first Islamist killing in Britain since local suicide bombers killed 52 people in London in 2005, revived fears of “lone wolves” who may have had no direct contact with al Qaeda. Adebolajo and the other man, who may have been born abroad and later naturalised as British, were shot by police at the scene. Officers on the case raided six homes on Thursday. Prime Minister David Cameron held an emergency meeting of his intelligence chiefs to assess the response to what he called a “terrorist” attack; it was the first deadly strike in mainland Britain since local Islamists killed dozens in London in 2005. “We will never give in to terror or terrorism in any of its forms,” Cameron said outside his Downing Street office. “This was not just an attack on Britain and on the British way of life, it was also a betrayal of Is-

lam and of the Muslim communities who give so much to our country.” U.S. President Barack Obama condemned it “in the strongest terms”, adding in a statement: “The United States stands resolute with the United Kingdom, our ally and friend, against violent extremism and terror.” A source close to the investigation told Reuters that both attackers were known to Britain’s MI5 internal security service. Adebolajo had handed out radical Islamist pamphlets but neither was considered a serious threat, a government source said. Another source close to the inquiry said the local backgrounds of the suspects in a multicultural metropolis - nearly 40 percent of Londoners were born abroad - and the simplicity of the attack made prevention difficult: “Apart from being horribly barbaric, this was relatively straightforward to carry out,” the source said. “This was quite low-tech and that is frankly pretty challenging.” The two men used a car to run down Drummer Lee Rigby outside Woolwich Barracks in southeast London and then attacked him with a meat cleaver and knives, witnesses said. The pair told shocked bystanders they acted in revenge for British wars in Muslim countries. Rigby, who had a two-year-old son, was not in uniform. The bandsman was working locally as an army recruiter. A dramatic clip filmed by an onlooker showed one of the men, identified as Adebolajo, his hands covered in blood and speaking in a local accent apologising for taking his action in front of women but justifying it on religious grounds: “We swear by almighty Allah we will never stop fighting you. The only reason we have done this is because Muslims are dying every day,” he said. “This British soldier is an eye for an eye, a

tooth for a tooth.” The attack revived fears of “lone wolves”. These may have had no direct contact with al Qaeda but are inspired by radical preachers and by Islamist militant Web sites, some of which urge people to attack Western targets with whatever means they have. Images of the blood-soaked suspect were splashed across the front pages of newspapers; so too were links to his clearly spoken, matterof-fact video statement, made as the pair chatted calmly to bystanders before police arrived many minutes later. “We have all seen images that are deeply shocking,” Cameron told reporters before visiting the barracks in Woolwich. “The people who did this were trying to divide us.” In Nigeria, with a mixed Christian-Muslim population and where the authorities are battling an Islamist insurgency, a government source said there was no evidence the Woolwich suspects were linked to groups in west Africa. British investigators are looking at information that at least one of the suspects may have had an interest in joining Somalia-based Islamist rebel group al Shabaab which is allied to al Qaeda, a source with knowledge of the matter said. The grisly attack took place next to the sprawling Royal Artillery Barracks in Woolwich, a south London working class district which has long-standing historic links to the military and is home to many immigrant communities, including Nigerians. Rigby, who served in Afghanistan in 2009, was wearing a T-shirt reading “Help for Heroes”, the name of a charity formed to help wounded British veterans. Britain has had troops deployed in Afghanistan since 2001 and had troops in Iraq from 2003-2009.


Page 36

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

WORLD NEWS

Cameron losing control as rift with party core widens P

rime Minister David Cameron is “losing control of his party”, Conservative Party grandee Geoffrey Howe said on Sunday, as a row raged over whether a close aide to Cameron had labelled grassroots activists “mad, swivel-eyed loons”. The furore threatens to further alienate Cameron and his inner circle from the core of his party, with whom ties are already almost at breaking point. Differences with the grassroots over Britain’s membership of the European Union and Cameron’s support for legalising same-sex marriage have raised questions over his leadership and could hurt the party’s chances in the next election, due in 2015. “Sadly, by making it clear in January that he opposes the current terms of UK membership of the EU, the prime minister has opened a Pandora’s box politically and seems to be losing control of his party in the process,” Howe wrote in an article for the Observer newspaper. Howe was former prime minister Margaret Thatcher’s longest-serving cabinet minister, but fell out with her over relations with Europe and is best remembered for a scathing resignation speech that helped topple her as leader in 1990. Cameron’s Conservatives have been rattled by the surging popularity of the UK Independence Party (UKIP), whose main aims are to pull Britain out of the EU and curb immigration. Its rise has fuelled a heated national debate over whether Britain derives sufficient benefits from EU membership to outweigh the financial cost and the ceding of some important powers to Brussels, like the ability to limit immigrants from the other 26 countries in the union. An opinion poll by pollster ComRes for the Sunday Mirror and Independent on Sunday newspapers put support for UKIP at 19 percent, which ComRes said was the highest level the party had achieved in any survey yet. The opposition Labour party led with 35 percent, while the Conservatives were on 29 percent and their Liberal Democrat coalition partners on 8. “The ratchet-effect of Euroscepticism has now gone so far that the Conservative leadership is in effect running scared of its own backbenchers, let alone UKIP,” Howe said, referring to the hundreds of rank-and-file Con-

servative members of parliament who occupy the rows of seats behind Cameron and his ministers. REFERENDUM PROMISE In January, Cameron promised that if the Conservatives won the 2015 election they would call a national referendum in 2017 on whether Britain should stay in or leave the EU. But that did not go far enough for many Conservatives, who last week forced him to back a new bill that would enshrine it in law. The Conservatives’ restive right wing also last week voted to criticise the government’s legislative agenda for not including such a bill in the first place, an unusual move in British politics that embarrassed Cameron. Compounding Cameron’s problems are media reports that an un-named close aide, at a private dinner last week, described the Conservative grassroots as “swivel-eyed loons”. Cameron’s office says the comment did not come from them, and insist the prime minister is still in charge of his party. The row comes at an especially bad time for Cameron, whose flagship bill to legalise same-sex marriage will be debated in parliament this week. Conservative activists wrote to Cameron on Sunday warning that the move would boost UKIP’s membership. “The prime minister seems to have gathered around himself a metropolitan elite who seem to inhabit a different planet to most of us ... Droves of previously loyal Conservative Party members are leaving,” Bob Woollard, chairman of the Conservative Grassroots umbrella group, told the BBC. Cameron says he would like to do more to satisfy the Conservative core, but is held back by being in coalition with the left-leaning Lib Dems. Ties between the two parties have frequently come under strain since they teamed up in 2010, but they have pledged to stay together to help revive Britain’s weak economy. However, in an article published on Sunday, Cameron hinted that he could end the partnership before the 2015 election. “Can we improve the state of the country? Can we fulfil our manifesto? The best way to do that is to continue with the coalition, but if that wasn’t the case then we’d have to face the new circumstances in whatever way we should,” he told Britain’s Total Politics magazine.

JODI ARIAS

Jurors deadlock on Jodi Arias penalty P

HOENIX — The judge in the Jodi Arias murder trial declared a mistrial in the penalty phase Thursday after the jury reported for a second time that it was deadlocked on whether to sentence her to life in prison or death for killing her boyfriend in 2008. The judge scheduled a retrial for July 18. A new panel likely will be seated to try again to reach a decision on a sentence — unless the prosecutor takes death off the table agrees to a life sentence. The panel began deliberating Tuesday and first reported they had failed agree the next day. The judge instructed them to keep trying. The same panel on May 8 found Arias guilty of first-degree murder in the death of Travis Alexander, who was stabbed and slashed nearly 30 times and nearly decapitated at his Mesa home. The jury later determined the killing was cruel enough to merit consideration of the death penalty. Under Arizona law, a hung jury in the death penalty phase of a trial requires a new jury to be seated to decide the punishment. If the second jury cannot reach a unanimous decision, the judge would then sentence Arias to spend her entire life in prison or be eligible for release after 25 years. The judge cannot sentence Arias to death. Former Maricopa County Attorney Rick Romley has said the case could drag on for several more months as the new jury reviews evidence and hears opening statements, closing arguments and witness testimony in a “Cliffs Notes” version of the trial. However, if the prosecutor decides not to pursue the death penalty a second time, the judge would then sentence Arias to one of the life in prison options, and the trial would come to a conclusion. The verdict came two days after Arias spoke directly to jurors and pleaded for her life. She said she “lacked perspective” when she told a local reporter after her conviction that she preferred execution to spending the rest of her days in jail. She displayed family pictures for the jurors and told them she

could bring about positive change in prison by teaching inmates how to read and helping launch prison recycling programs. That night, Arias gave a series of media interviews from jail, telling reporters out about her many fights with her legal team and her belief that she “deserves a second chance at freedom someday.” Arias, 32, contends she killed Alexander in self-defense when he became enraged after a day of sex, forcing her to fight for her life. Prosecutors say she attacked him in a jealous rage because he wanted to end their relationship and go to Mexico with another woman. Her case became a sensation from the beginning as Arias gave a series of jailhouse interviews following her 2008 arrest in which she blamed the killing on armed, masked intruders. She went on trial in January, and the case provided endless amounts of cable TV and tabloid fodder, including a recorded phone sex call between Arias and the victim, nude photos, bloody crime-scene pictures and a defendant who described her life story in intimate detail over 18 days on the witness stand. The former waitress told jurors of an abusive childhood, cheating boyfriends, dead-end jobs, her sexual relationship with Alexander, and her contention that he had grown physically violent. The trial was streamed live on the Internet and became a real-life soap opera to people around the globe. Some even traveled to Phoenix to attend the trial and became fans of the fiery prosecutor, Juan Martinez, who repeatedly tangled with Arias during her testimony. They sought his autograph outside court and had pictures taken with him, prompting the defense to argue for a mistrial. Their request was denied. The verdict brings a close to the trial’s penalty phase, which featured dramatic statements by Alexander’s sister and brother as they described how their lives were shattered by the loss of their beloved sibling.


TURKS & CAICOS SUN

Page 37

MAY 25TH - JUNE 1ST, 2013

WORLD NEWS

Marijuana tied to better blood sugar control P

eople who had used marijuana in the past month had smaller waists and lower levels of insulin resistance - a diabetes precursor - than those who never tried the drug, in a new study. The findings, based on surveys and blood tests of about 4,700 U.S. adults, aren’t enough to prove marijuana keeps users thin or wards off disease. And among current pot smokers, higher amounts of marijuana use weren’t linked to any added health benefits, researchers reported in The American Journal of Medicine. “These are preliminary findings,” said Dr. Murray Mittleman, who worked on the study at Beth Israel Deaconess Medical Center in Boston. “It looks like there may be some favorable effects on blood sugar control, however a lot more needs to be done to have definitive answers on the risks and potential benefits of marijuana usage.” Although pot smoking is a wellknown cause of “the munchies,” some previous studies have found

marijuana users tend to weigh less than other people, and one suggested they have a lower rate of diabetes. Trials in mice and rats hint that cannabis and cannabinoid receptors may influence metabolism. The new study used data from a national health survey conducted in 2005-2010. Researchers asked people about drug and alcohol use, as well as other aspects of their health and lifestyle, and measured their insulin and blood sugar levels. Just under 2,000 participants said they had used marijuana at some point, but not recently. Another 600 or so were current users - meaning they had smoked or otherwise consumed the drug in the past month. Compared to people who had never used pot, current smokers had smaller waists: 36.9 inches versus 38.3 inches, on average. Current users also had a lower body mass index - a ratio of weight to height - than never-users. When other health and lifestyle measures were taken into account, recent pot use was linked to 17 percent lower insulin resistance, indi-

cating better blood sugar control, and slightly higher HDL (“good”) cholesterol levels. However, there was no difference in blood pressure or blood fats based on marijuana use, Mittleman’s team found. A CAUSAL LINK? Mittleman said that in his mind, it’s still “preliminary” to say marijuana is likely to be responsible for any diabetes-related health benefits. “It’s possible that people who choose to smoke marijuana have other characteristics that differ (from non-marijuana smokers),” and those characteristics are what ultimately affect blood sugar and waist size, he told Reuters Health. Dr. Stephen Sidney from the Kaiser Permanente Division of Research in Oakland, California, said he wonders if cigarette smoking may partially explain the association. Marijuana users are also more likely to smoke tobacco, he told Reuters Health. “People who use tobacco oftentimes tend to be thinner,” said Sidney, who has studied marijuana use and weight but didn’t participate in

the new study. “So I really wonder about that.” Another limitation with this and other studies, Sidney and Mittleman agreed, is that all of the data were collected at the same time, so it’s unclear whether marijuana smoking or changes in waist size and blood sugar came first. “The question is, is the marijuana leading to the lower rate (of diabetes) or do they have something in common?” said Dr. Theodore Friedman, who has studied that issue at Charles R. Drew University of Medicine and Science in Los Angeles. He and his colleagues think the link is probably causal. “But it’s really hard to prove that,” Friedman, who also wasn’t involved in the new research, told Reuters Health. One possibility is that the anti-inflammatory properties of marijuana help ward off diabetes, he said. But he agreed that more research is needed to draw out that link. “I want to make it clear - I’m not advocating marijuana use to prevent diabetes,” Friedman said. “It’s only an association.”

Obama limits US drone strikes in shift from constant war footing P

resident Barack Obama on Thursday shifted the United States away from a “boundless global war on terror,” restricting deadly U.S. drone strikes abroad and taking steps toward closing the Guantanamo Bay military prison. In a major policy speech, Obama defended his administration’s drone war against al Qaeda and its allies but made clear he was narrowing the scope of targeted killings, a campaign that has faced growing condemnation at home and abroad. “Our nation is still threatened by terrorists,” Obama said at Washington’s National Defense University. “We must recognize however, that the threat has shifted and evolved from the one that came to our shores on 9/11.” Faced with criticism about the morality of using unmanned aerial vehicles to wage war in distant lands, Obama said the United States will only use drone strikes when a threat is “continuing and imminent,” a nuanced change from the previous policy of launching strikes against a significant threat. “To say a military tactic is legal, or even effective, is not to say it is wise or moral in every instance,” Obama said. Under new presidential guidance signed by Obama on Wednesday, the Defense Department will take the lead in launching lethal drones, as opposed to the current practice of the CIA taking charge. That would subject drone operations to more scrutiny from Congress and might lead to the Pentagon taking over drone operations in Yemen, but not in Pakistan where the CIA is likely to still run the unmanned aerial vehicles program. Obama appears intent on confronting human rights and civil liberties challenges that threaten

BARACK OBAMA to stain his own legacy if left unresolved in his second term. “Our systematic effort to dismantle terrorist organizations must continue. But this war, like all wars, must end. That’s what history advises. That’s what our democracy demands,” he said. Republican opponents accused him of giving in to terrorism. “The president’s speech will be viewed by terrorists as a victory. Rather than continuing successful counterterrorism activities, we are changing course with no clear operational benefit,”

Senator Saxby Chambliss from Georgia said. The use by the United States of armed drone aircraft to attack extremists has increased tensions with countries such as Pakistan and drawn criticism from human rights activists. Obama acted in line with a promise to be more open about the issue. “Beyond Afghanistan, we must define our effort not as a boundless ‘global war on terror’ - but rather as a series of persistent, targeted efforts to dismantle specific networks of violent extremists that threaten America,” Obama said. Renewing his longstanding vow to close the Guantanamo prison at the U.S. Naval Base in Cuba, Obama is to lift a moratorium on transferring detainees to Yemen, and appoint a State Department coordinator and work with Congress to break a deadlock over the detention camp where most prisoners have been held for more than a decade without trial. He called the prison “a symbol around the world for an America that flouts the rule of law.” Opened by his predecessor President George W. Bush to hold men rounded up on suspicion of involvement with al Qaeda and the Taliban after the September 11 attacks, Guantanamo has defied efforts by Obama to shut it. His current proposals will likely face resistance from Republican lawmakers. Faced with congressional opposition, Obama has been frustrated by his inability to carry out a 2008 campaign pledge to close the prison in Guantanamo Bay, Cuba. A hunger strike by 103 of the 166 detainees has put pressure on him to take action. “There is no justification beyond politics for Congress to prevent us from closing a facility that should never have been opened,” Obama said.


Page 38

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

WORLD NEWS

Boy Scouts of America votes to end century old ban on gay scouts T

he Boy Scouts of America voted on Thursday to lift a century-old ban on openly gay scouts in a major victory for gay rights activists, but the decision means a sea of change for an organization that depends heavily on faith-based groups. More than 60 percent of the group’s National Council, comprised of some 1,400 delegates, voted in favor of ending the ban, effective January 1, 2014, the group said in a statement. A prohibition on openly gay adult leaders remains in place. The decision followed weeks of intense lobbying by gay rights activists and members of conservative organizations, many of them church groups that have traditionally formed the backbone of one of the nation’s largest youth organizations. “I’m a happy camper,” said Mike Harrison, 71, a former chairman of California’s Orange County Boy Scout Council who voted to end the ban. “The process was a very civil debate... There wasn’t any uncivilized behavior. People stated their case, passionately and from many different angles.” He said that by Thursday it had become clear that there was a generation change in the organization and that “the younger generation of scouting just don’t see it the way the old guard did.” The Boy Scouts’ long-standing ban on gay

scouts had become a polarizing issue at the center of the debate on gay rights in the United States, where gay soldiers may now serve openly in the military and where gay couples can wed in a number of states. For months, the Boy Scouts have been caught between two sides in an emotionally charged debate that has seen both supporters and opponents of lifting the ban threaten to withdraw support. The Boy Scouts has faced heavy pressure on one side from gay rights supporters and some of the major corporate sponsors who provide much of the group’s annual funding, and on the other by a variety of major national church groups, who sponsor and support the large majority of troops nationwide. “I just resigned from my troop,” said Chris Collier, 41, a former troop leader in Alabama and Florida who said he would send his Eagle Scout award back to the organization’s national office. “My grandfather earned his eagle award in 1938. I earned mine in 1990. I was hoping my son could earn his when he grew up. I’m sad, but this is their cross to bear. I’m no longer part of the organization. I’ll move in a different direction.” Thursday’s vote came about three months af-

ter the organization’s leadership delayed a decision on changing its membership policy to research attitudes toward admitting gays. About 70 percent of the group’s 100,000 Boy Scout units are chartered by faith-based organizations, according to Boy Scouts membership data. Some 22 percent of the units nationwide are chartered by civic organizations, and 7 percent are chartered by educational groups. One of the major turning points in the debate came earlier this year when the Mormon church the largest sponsor of scouting troops nationwide - expressed support for ending the ban. The Mormon church charters nearly 38,000 scout troops representing nearly a quarter million scouts. The next largest faith-based sponsor is the United Methodist Church, which charters about 11,000 scout troops representing about 363,000 scouts. They, too, issued a statement supporting an end to the ban. The Catholic church, which sponsors about 8,400 troops, has taken no official position on the controversy. While national polls show a growing acceptance of gay rights, an online survey of about 200,000 BSA members, parents and leaders indicated strong support for maintaining the ban, by a margin of almost 2-1.

Hamburgers for life reward to man who helped Ohio kidnap victims C

LEVELAND - The man made famous for putting down his Big Mac to help free three women held captive for about a decade in a Cleveland house will never have to buy a hamburger in his hometown again. More than two weeks after Charles Ramsey became an instant folk hero after telling his story to television reporters, Cleveland food blogger Michelle Venorsky said on Thursday that 15 restaurants are offering him a free hamburger, whenever he wants it. Venorsky floated the idea to her followers after seeing Ramsey’s first interview on TV. Since his first interview on local TV, Ramsey, a dishwasher at a Cleveland restaurant, has become an Internet sensation. The restaurant produced a t-shirt with Ramsey’s face and the words “Cleveland Hero” on the front, netting $21,000 for a fund set up for the women, who were held captive for about a decade. Ramsey was not available for comment on Thursday. He has had brushes with the law in the past, including domestic violence convictions. Amanda Berry, her six-year-old daughter, and two other women, Gina DeJesus and Michelle Knight, were discovered in the house of former school bus driver Ariel Castro on May 6. Ramsey heard Berry’s calls for help and he and others helped her escape and call 911. Castro has been charged with multiple counts of kid-

BRIDGE COLLAPSE IN WASHINGTON STATE BLAMED ON TRACTOR-TRAILER

A

truck hauling an oversized load of drilling equipment hit an overhead bridge girder on the major interstate between Seattle and Canada, sending a section of the span into a river below as the driver watched the structure collapse in his rearview mirror. Two other vehicles plunged into the Skagit River, but all three occupants escaped with only minor injuries. The spectacular scene unfolded about 7 p.m. Thursday on the north section of the four-lane Interstate 5 bridge near Mount Vernon, about 60 miles north of Seattle and 40 miles south of the Canada border, and disrupted travel in both directions. Officials warned it could be weeks before things returned to normal along the heavily-trav-

ATHEISTS ARE GOOD IF THEY DO GOOD, POPE FRANCIS SAYS

A

Charles Ramsey became an instant folk hero after telling his story to television reporters napping and rape. He is in jail on an $8 million bond. One restaurant owner, Sam McNulty, said the offer of free burgers to Ramsey “is a communal high-five from the Cleveland restaurant industry.” The kidnapping story has several fast food connections. Ramsey’s story, with its mention of a McDonald’s hamburger, won him praise from the restaurant chain. After the discovery of the women, Castro was arrested in front of a McDonald’s about a mile from the house.

elled corridor. The Washington State Patrol said the truck driver works for Mullen Trucking in Alberta. The tractor-trailer was hauling a housing for drilling equipment Vancouver, Wash., when the top right front corner of the load struck several trusses on the north end of the bridge, the patrol said. Motorist Dan Sligh saw it happen. “He hit the bridge about 3 or 4 feet wider than the actual bridge was, and we went right off with the bridge as it collapsed,” Sligh told reporters from a hospital. The driver, William Scott, of Spruce Grove, Alberta, near Edmonton, voluntarily gave a blood sample for an alcohol test and was not arrested. A top company official said Scott was amazed by what he saw happen.

theists should be seen as good people if they do good, Pope Francis said on Wednesday in his latest urging that people of all religions - or no religion work together. The leader of the world’s 1.2 billion Roman Catholics made his comments in the homily of his morning Mass in his residence, a daily event where he speaks without prepared comments. He told the story of a Catholic who asked a priest if even atheists had been redeemed by Jesus. “Even them, everyone,” the pope answered, according to Vatican Radio. “We all have the duty to do good,” he said. “Just do good and we’ll find a meeting point,” the pope said in a hypothetical conversation in which someone told a priest: “But I don’t believe. I’m an atheist.” Francis’s reaching out to atheists and people who belong to no religion is a marked contrast to the attitude of former Pope Benedict, who sometimes left non-Catholics feeling that he saw them as second-class believers.


TURKS & CAICOS SUN

Page 39

MAY 25TH - JUNE 1ST, 2013

usiness B AND

O T Yahoo Buys Tumblr Social ECHN

LOGY

Network Service for $1.1 Billion

Y

ahoo is investing big-time in the social media. The company announced that it has purchased Tumblr, the popular blogging and social media network, for $1.1 billion. “I’m delighted to announce that we’ve reached an agreement to acquire Tumblr!,” Marissa Mayer, the CEO of Yahoo, announced on her own Tumblr blog this morning. “We promise not to screw it up. Tumblr is incredibly special and has a great thing going. We will operate Tumblr independently.” Mayer repeated in a company statement that Yahoo will “not screw it up.” It plans to keep Tumblr an independently operated business with David Karp, Tumblr’s 26-year-old founder and CEO, remaining on. Tumblr allows users to create their own blogs, follow other blogs on the network and like them or reblog posts. “We’re not turning purple,” Karp announced on Tumblr’s official Tumblr News page. “Our headquarters isn’t moving. Our team isn’t changing. Our roadmap isn’t changing. And our mission – to empower creators to make their best work and get it in front of the audience they deserve – certainly isn’t changing.” While Yahoo promises not to change Tumblr’s product the companies will now work together to create advertising opportunities. Mayer also says that the companies together will create a very large media network.

Yahoo CEO Marissa Mayer, “We promise not to screw it up.” “On many levels, Tumblr and Yahoo! couldn’t be more different, but, at the same time, they couldn’t be more complementary,” Mayer said in a statement. “Yahoo is the Internet’s original media network. Tumblr is the Internet’s fastest-growing media frenzy.” Mayer, 38, took over as Yahoo CEO in July 2012 after over 10 years at Google. At Yahoo she is aiming to turn the company around, investing heavily in mobile products and reinvigorating current products, including Yahoo Mail. She has also overseen the purchase of other companies, including Summly, Astrid and GoPollGo. However, Tumblr will be the largest acquisition of Mayer’s to date. And she and the Yahoo Board, which voted on the acquisition over the weekend, are hoping Tumblr is one of the answers to making the company a real tech player

Google faces new federal antitrust probe U

.S. regulators are in the early stages of an antitrust probe into whether Google Inc, the top player in web display advertising, breaks antitrust law in how it handles some ad sales, a source told Reuters on Thursday. The source said that it was unlikely that the Federal Trade Commission had sent out civil investigative demands in relation to the probe, which would be the sign of a formal and more serious investigation. The new line of inquiry focuses on tools acquired when Google bought display ad company Doubleclick in 2007; other firms which specialize in helping web publishers sell ads to put on their websites are complaining to the FTC, the source said. According to a second source familiar with the situation, Google has not been notified of any antitrust investigation so far. Google and the Federal Trade Commission declined comment on the matter. The sources did not want to be named in order to protect their business relationships. The FTC wrapped up its earlier investigation into Google just four months ago, concluding that the search giant had not manipulated its Web search results to hurt rivals. Google was the number one player in the

again. Analysts and reports also say that Tumblr had a “cool” appeal to Mayer and the Board. “For all intents and purposes, Yahoo as a media brand skews toward older demographics. Tumblr is ridiculously strong in terms of engagement among Millennials and to some extent Generation Y,” Brian Soils, a principal analyst at Altimeter Group, told ABC News. “The trick for Marissa and co. is to do so without diluting the Tumblr secret sauce while drafting enough of the Tumblr brand to make Yahoo cool again,” he added. However, some financial analysts believe Yahoo simply paid too much for the company. Rick Summer, an analyst with investment firm Morningstar, said the “deal is probably overpriced” in his analyst note. “In our view, Yahoo has essentially paid a high price for incremental page views without filling in gaps in the business,” he added. Summer also points out that one of the factors that has made Tumblr popular with users is the lack of advertising, something which may be difficult to maintain as Yahoo looks to monetize the service. Founded in 2006, Tumblr, which has just 175 employees, has over 300 million monthly unique visitors and 120,000 signups every day. According to Tumblr, 90 million posts are posted on Tumblr every day with 900 posts per second; there are a total of 100 million blogs on the service.

SEARS POSTS $279 MILLION QUARTERLY LOSS AS REVENUE SLUMPS

S

$15 billion U.S. display ad market in 2012, with 15.1 percent market share, compared to Facebook’s 14.6 percent share, according to industry research firm eMarketer. Google is expected to widen its lead to 20.7 percent of the market in 2014. Google is currently trying to convince European antitrust investigators to wrap up a separate antitrust probe, and has offered to change some search pages to give more space to rivals in order to satisfy their concerns. In that case, Google is accused of hiding links to rival shopping, travel and other websites to protect its ad revenues. On April 11, it said it would offer consumers links to three rival sites in some searches and would label its products.

ears Holdings Corp., the retailer controlled by billionaire hedge-fund manager Edward Lampert, posted a quarterly loss of $279 million, hurt by costs related to store closings and severance expenses. The shares tumbled. The first-quarter loss of $2.63 a share compared with profit of $189 million, or $1.78 a share, a year earlier, the Hoffman Estates, Illinois-based company said today in a statement. Revenue fell 8.8 percent to $8.45 billion. The company is also evaluating options for its Protection Agreement warranty business, including a possible sale. Lampert, who took over as chief executive officer in February, said in the statement that the company’s performance “has not been acceptable.” Since the beginning of last year, Sears has sold stores and spun off smaller-format locations as Lampert puts an increased emphasis on the customer rewards program, saying the retailer’s future is as a “membership company.” More than half of the Sears’s sales come from customers in its Shop Your Way loyalty program. Lampert succeeded Lou D’Ambrosio as the company’s fifth CEO since merging Sears Roebuck & Co. and Kmart Holdings Corp. eight years ago.


Page 40

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

BUSINESS AND T ECHNOLOGY INTERNATIONAL TRADE COMMISSION SAYS MICROSOFT DID NOT VIOLATE GOOGLE PATENT

M

icrosoft Corp won a round in a complex patent war on Thursday when the International Trade Commission said the company’s popular Xbox entertainment system did not violate a patent owned by Google subsidiary Motorola Mobility. If the ITC had found that Microsoft infringed, it could have barred the Xbox from being imported into the United States. The fight over the Xbox is related to a larger smartphone patent war between Apple, Microsoft and the mobile phone makers who use Google’s Android software, including Motorola Mobility. Motorola Mobility originally accused Microsoft of infringing upon five patents when it filed its complaint in 2010. Four were dropped in ensuing months, leaving just one - a patent which allows devices to communicate wirelessly over short distances. “This is a win for Xbox customers and confirms our view that Google had no grounds to block our products,” David Howard, a Microsoft deputy general counsel, said in a statement. Motorola was “disappointed with this decision” and is evaluating its options, a company spokesman said in a statement. Technology companies have spent billions of dollars to buy patent portfolios, and still more money litigating patent cases around the world. The Xbox case has seen many twists and turns since it was filed in late 2010. In April 2012, ITC Judge David Shaw said in a preliminary decision that Microsoft infringed four patents and did not infringe on a fifth. But instead of deciding the case, as is usual, in June 2012, the trade panel sent the case back to the judge for reconsideration. In January, following an antitrust settlement with federal regulators, Google asked a trade panel to drop two patents from the complaint because they were essential to a standard. These types of patents ensure interoperability and get special treatment. Google had promised the Federal Trade Commission that it would no longer request sales bans based on the infringement of standard essential patents. By that time, just one patent remained. In March, an ITC judge said that Microsoft did not infringe that technology and recommended that the case be terminated. The full ITC followed that recommendation on Thursday.

Large US retailers sue Visa and MasterCard over card fees A

group of U.S. retailers, including Macy’s Inc. and Target Corp., sued Visa Inc. and MasterCard Inc. on Thursday, breaking off from a proposed $7.2 billion settlement reached last year over fees to process credit card transactions. The lawsuit, filed in U.S. District Court in Manhattan, came ahead of a May 28 deadline for the millions of merchants affected by the settlement to decide whether to forego receiving damages under the pact and pursue their own legal action. That settlement, pending in federal court in Brooklyn, would end litigation on behalf of merchants that accused Visa and MasterCard of inflating so-called interchange, or swipe, fees. Many retailers criticized the proposed settlement after it was announced in July 2012. They say the pact offers inadequate compensa-

tion and forces them to sign broad litigation releases that could shield Visa and Mastercard from future lawsuits over antitrust violations. By “opting out” of the settlement, the retailers can pursue separate litigation seeking damages over allegations of past antitrust violations. But even so, merchants would still be bound by other injunctive relief if the settlement goes forward,

including changes to Visa and MasterCard’s swipe-fee rules. The pact received preliminary court approval from a federal judge in Brooklyn in November 2012, and Visa and Mastercard have said they are confident the settlement will win final approval. Representatives of Visa and MasterCard had no immediate comment on the new lawsuit. Also named as plaintiffs in Thursday’s lawsuit are JC Penney Co Inc., Kohl’s Corp. and TJX Cos. The lawsuit seeks compensatory and triple damages, as well as other remedies. On Tuesday, Wal-Mart Stores Inc. and 18 others said they would both opt out and consider pursuing separate legal actions over damages. Wal-Mart is not named as a plaintiff in the case filed Thursday.

IMF chief Lagarde questioned over French arbitration case I

MF chief Christine Lagarde was questioned in court by French magistrates on Thursday over her role in a 285-million-euro (242 million pounds) arbitration payment made to a supporter of former president Nicolas Sarkozy. Lagarde, in court the entire day, risks being placed under formal investigation when the hearing wraps up on Friday for her 2007 decision as Sarkozy’s finance minister to use arbitration to settle a court battle between the state and businessman Bernard Tapie. Under French law, that step would mean there exists “serious or consistent evidence” pointing to probable implication of a suspect in a crime. It is one step closer to trial but a number of such investigations have been dropped without trial. Such a move could prove uncomfortable for the International Monetary Fund, whose former head, Frenchman Dominique Strauss-Kahn, quit in 2011 over a sex assault scandal, and for a woman rated the most influential in France by Slate magazine. In Washington, the IMF reaffirmed its confidence in her.

“The board has been briefed on the matter a few times, including recently, and continues to express its confidence in the managing director’s ability to effectively carry out her duties,” IMF spokesman Gerry Rice said. Lagarde smiled and waved at reporters crowded outside the court as she arrived in the morning and as she left at 9 p.m. (1900 GMT), some 13 hours later, with a breezy: “See you tomorrow.” Her lawyer made no comment on the day’s proceedings. The decision on whether to place her under investigation or give her “supervised witness” status will be announced at the end of the hearing on Friday. The case goes back to 1993 when Tapie, a colourful and often controversial character in the French business and sports world, sued the state for compensation after selling his stake in sports company Adidas to then state-owned bank Credit Lyonnais. A one-time Socialist minister who later supported the conservative Sarkozy, Tapie said the bank had defrauded him after it resold the stake for a much higher sum.

Credit Lyonnais, now part of Credit Agricole, has denied wrongdoing. Lagarde is not accused of financially profiting herself from the payout and has denied doing anything wrong by opting for an arbitration process that enriched Tapie. With interest, the award amounted to 403 million euros. However, a court specialising in cases involving ministers is targeting her for complicity in the misuse of funds because she overruled advisers to seek the settlement. Her lawyer, Yves Repiquet, has told French media Lagarde merely approved the use of an arbitration procedure that had been decided by the state-owned holding company, Consortium de Realisation, set up to take over the debts and liabilities of Credit Lyonnais when it fell into difficulty in the early 1990s. Sources close to the IMF board have said they are not worried by the affair and are confident Lagarde herself did not profit from it. But they added the board might review its position if judicial procedures took her away from her duties.


TURKS & CAICOS SUN

Page 41

MAY 25TH - JUNE 1ST, 2013

Sports LOCAL

AFC Academy lead Bugaloo’s Men’s Beach Soccer standing

T

he Bugaloo’s Men’s  Beach Soccer league ended its second round of games last weekend with AFC Academy climbing to the top of the table courtesy of a 9-5 win against the COE boys. In the second fixture the Teachers drowned out the SWA Sharks 18-2. The game between the COE boys and AFC Academy was very competitive until the final period when the more experienced Academy players stepped up their game. AFC Academy held a 5-4 lead going into the final period as goals from Rodney Davilmar, Jumyson Francois (2), David Jasmine and Jensen Joseph were all but cancelled out by two strikes from Wikins Sylvain and a goal apiece from Leidson Jerome and Adner Davilmar. However, three quick goals from james Rene and a second goal for Rodney Davilmar saw the Academy team open up a 9-4 lead before Adner Davilmar scored a late consolation goal. The second game was a very one sided affair as SWA Sharks were on the end of a heavy beating by the Teachers. With several key players missing the Sharks could not withstand the Teachers onsloght as they scored at will. Fred Dorvil helped himself to eight goals. He was supported with goals from Ian Chang (4), Haroon Swaby (2), Dane

Action from the game between AFC and COE Ritchie (3), Junior Ceide (1). Chris Bruno and Chris Bryan scored a goal each for the Sharks who despite the heavy defeat never gave up and but for some poor finishing could have made the score more respectable.

Next weeks the Sharks will have to be at their best to stop AFC Academy from achieving their third win and the Teachers will fancy their chances against the COE Boys.

Purples, Pinks battle for Captain Marvin’s Women Beach Soccer Championship W

ith one more week of league games to go the finals of the Captain Marvin’s Women’s Beach Soccer Leagues have been determined and after two comfortable wins at the weekend for the Purple Pirates and the Pink Mermaids who will fight it out for the Championship whilst the Blue Marlins will battle the Great White Sharks for third and fourth place.  The Pink Mermaids had a comfortable afternoon against the Sharks and were rarely threatened. Kadine Delphin led the scoring with three goals and Gaya Smith and Yarileny De La Cruz added two apiece. The White Sharks were missing the talents of Jancilia Cox and the injured Alyssa Laing, however the remaining young players like Maniella Pierre, Brittney Bien-Aime, sisters Melissa and Erica Jean Guy and Rhodiesha Johnson put in a very committed performance and never gave up in their 7-0 defeat.

Action from the Women’s Beach Soccer   In the second game the Blue Marlins also suffered from a no-

table absence as their key player Yarielca De La Cruz was unavail-

able. The Marlins led by Patrice Senior and Briandie Brooks put up a good fight but could not match the Pirates on the day. Sarah Cenary scored an impressive seven goals, and further strikes from Shinaydine Pluviose (3), Monae Gooden (2) and Sydnee Campbell ensured the Pirates wound up with an impressive 13-4 win. Patrice Senior (3) and Briandie Brooks found the back of the net for the Marlins.   Technical Director Matthew Green was still positive despite the scorelines. This is the first time this season that the games have been one sided. However, it was pleasing to see how many of the young players showed the level of their commitment and determination by not giving up. As next week’s games are a dress rehearsal for the finals, I am sure we will see two very competitive games.”   MVP for week 5 was Monae Gooden of the Purple Pirates.


Page 42

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN


TURKS & CAICOS SUN

Page 43

MAY 25TH - JUNE 1ST, 2013

Sports CARIBBEAN

Extremely tight security for Reggae Boyz World Cup Qualifier in June

I

N an effort to avoid a repeat of the chaotic scenes at Jamaica’s last World Cup Qualifier at the National Stadium in March, stringent safety and security measures have been implemented by the Jamaica Football Federation (JFF) for upcoming games against Mexico and the United States of America. The games are slated for June 4 and 7 at the National Stadium. At a press briefing at the JFF’s New Kingston headquarters yesterday, Robert Finzi-Smith, chairman of the JFF Security Committee, in conjunction with the Jamaica Constabulary Force (JCF), Office of Disaster Preparedness and Emergency Management (ODPEM) and Jamaica Urban Transit Company (JUTC), outlined the changes that will encumber some people, but make the lives of most easier. There will be zero tolerance to selling tickets on the perimeter of the stadium. Scalpers and anyone else selling tickets in the vicinity of the stadium will be arrested and charged, alongside those selling counterfeit tickets, it was revealed. “We will detain them to find out what they can be charged for,” said Senior Superintendent of Police Radcliffe Lewis, head of the traffic division. There will be increased security features on tickets and appropriate systems at the gates to verify the authenticity of the tickets. Patrons are

encouraged to arrive early for the games, which are set for kickoff at 8:30 pm. “We are asking people once again to purchase tickets only from advertised, authenticated outlets because the JFF will not be selling any tickets within the vicinity of the National Stadium,” Finzi-Smith said. “Anyone purchasing tickets on the grounds on that day may have put themselves in a position to be denied access, and the JFF has no responsibility (for them),” he reiterated. Access to the stadium, especially the bleachers, will be made easier with increased entrances, erection of directional signs, and special ticket numbering will be available for that section for the very first time. There will be the use of bullhorns and town crier to help direct patrons to entrance points. The section of the Bleachers that is opposite the grandstand known as the ‘Little Grandstand’ will be off-limits, as over 1,000 tickets have been sold to secure that area for the television broadcast crews from the USA and Mexico. As for the patrons entering the grandstand, teams of ushers with the assistance of police officers, will be making sure that patrons are seated in their correct places according to their ticket numbers. Once people are found in seats not matching their ticket numbers, they will be removed. Meanwhile, SSP Assan Thompson, in charge of

security operations, has pledged the full support from the Jamaica Constabulary Force (JCF). “The JCF is fully aware of the security demands relating to this match. We are also cognisant of the implications for the staging of other matches, as also the entire football programme,” said Thompson. “Comprehensive risk assess-ment has been done by the National Intelligence Bureau (NIB) which has ranked the risk around the match as low,” he added. Several traffic changes will be implemented to avoid traffic congestion around the stadium, which might inconvenience residents in the vicinity with limited access to certain roads, which will be turned into one-way traffic before and after the game. “There are always concerns for people living in the area wishing and wanting to access the Children’s Hospital, that will of course be easily accom-modated,” said Deputy Superintendent Gary McKenzie. Meanwhile, Carla Barrett, JUTC Transport Planner, said her company would adjust the bus service to facilitate the easy arrival and departure of patrons who wish to utilise public transport. “For those who rely on public transportation, we will be tailoring our service to facilitate mass movement of people with services on some special routes,” said Barrett.

Former football boss blasts CONCACAF Integrity Report as misleading F

ormer special adviser to the Trinidad and Tobago Football Federation, Jack Warner, has blasted a CONCACAF integrity report - which accuses him of financial fraud - as a deliberate plan to mislead. Warner, former national security minister in the Kamla Persad Bissessar administration, also questioned the procedure used to gather the information, describing it as flawed. The report accused Warner of using deceptive methods to secure funds from CONCACAF and FIFA, as well as induce FIFA to transfer funds earmarked for development purposes to bank accounts he controlled. “The procedure used to gather information was flawed because it authorised counsel to conduct necessary interviews in person, by telephone and without reference to

Jack Warner the committee,” said Warner, in a written statement read out during a news conference in Port-of-Spain on Tuesday. “In other words, some people did not even know why they were

giving the information. These witnesses imparted their information without taking oath and in the absence of the members of the committee, who must now look at that information and make findings.” Warner has since resigned from his posts as minister of national security, chairman of the United National Congress and MP for Chaguanas West after the CONCACAF report condemning his actions was published. He told journalists that he has had consultations with three eminent legal minds in Justice Zainool Hosein, Andrew Mitchell, QC, and Bertram E. Commissiong, QC, regarding the charges levelled in the report. “However, the lawyers concluded that the committee made clear pronouncements as to the culpability and guilt of Jack Warner. These

are not and cannot be supported by the evidence and the facts,” said the embattled Warner. “The conclusions appear to be driven by a desire to castigate, malign and punish rather than to present a true and fair representation of the state of affairs and/or the circumstances surrounding a number of transactions addressed in the committee’s report.” The CONCACAF report also claims that Warner accepted money intended for FIFA that landed into his personal bank accounts. But Warner said he was not questioning the quality of the committee members, comprised of Sir David Simmons, Judge Ricardo Urbina and Ernesto Hempe, “but the independence and fairness of both the process and findings”. “I want you to be mindful of our past that Jack Warner has been sanctioned, castigated and maligned; treated as guilty without due process or an investigation into the publication of documents to determine its veracity or validity,” said Warner. “I have been a victim of a degree of intrigue and collusion of the highest level.”


Page 44

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN

Sports W

RLD

Phil Jackson says he would take Bill Russell over Michael Jordan to start his team

N

BA coaching legend Phil Jackson is something of an authority on what it takes to win championships, but he typically hasn’t weighed in on the more contentious basketball topics about which players are best or give their teams the best chance to win. In promoting his new book “Eleven Rings: The Soul of Success,” Jackson has switched up his approach and made some stronger statements on these debates. For instance, he’s directly compared Michael Jordan and Kobe Bryant for the first time ever, adding to an argument that probably won’t stop even after science allows us to pit their clones against each other in hand-tohand combat. However, that does not mean Jackson believes that Jordan is the best player ever to serve as the centerpiece of a championship team. In a new interview with Time.com, Jackson gives that edge to Boston Celtics great Bill Russell. As transcribed by Ben Golliver of The Point Forward: “In my estimation, the guy that has to be there would be Bill Russell. He has won 11 championships as a player,” Jackson said in an interview with Time. “That’s really the idea of what excellence is, when you win championships.” [...] Jackson dodged when asked to select between Jordan and Lakers guard Kobe Bryant, whom he coached to five titles between 2000

Phil Jackson would take Bill Russell (left) over Michael Jordan if given the choice. and 2010. “I would flip a coin,” he said. “Whichever one came up heads or tails, I’d take that person. They were that good.” Jackson’s argument is pretty simple: Russell beats Jordan in championships, 11-6, so that must mean he’s more likely to win with this hypothetical team not bound by the limits of the space-time continuum. There are several complicating factors here, including the difficulty of comparing players across very different eras or the interplay of each

legend and his teammates. Whatever the case, Jackson is giving Russell credit for his career, which doesn’t easily fit into the binaries occupied by Jordan, Kobe, LeBron James, and other scorers. In a way, winning this debate has become Russell’s identity as one of the greatest players in basketball history. Many pundits have called him “the greatest winner,” a designation that relies primarily on the sheer number of titles he won. Unfortunately, the description often doesn’t go beyond that figure — it’s used as

Woods: Garcia’s fried chicken jibe ‘wrong, hurtful and inappropriate’ G

olfer Tiger Woods has described a jibe aimed at him by Sergio Garcia as “wrong, hurtful and inappropriate,” though the world No. 1 insists he wants to move on from their very public war of words. Garcia apologized to Woods after making a remark about the American at a players’ dinner ahead of the European Tour’s flagship tournament -- the PGA Championship at Wentworth that starts Thursday. Asked on stage whether he would be inviting Woods round for dinner during next month’s U.S. Open Garcia replied: “We’ll be having him round ev-

TIGER WOODS AND SERGIO GARCIA ery night... and serving him fried chicken.” Fried chicken is a common food in the American South, but when used in references to African-Americans, it of-

ten implies a negative stereotype. Garcia and Woods have been at loggerheads since an acrimonious round during the penultimate day of The Players’ Championship earlier this month. “The comment that was made wasn’t silly. It was wrong, hurtful and clearly inappropriate,” Woods said on his official Twitter account. “I’m confident that there is real regret that the remark was made. The Players ended nearly two weeks ago and it’s long past time to move on and talk about golf.” Earlier on Wednesday Garcia released an apology via the Europe-

shorthand for a host of cliches about what it takes to win rather than as an entry point to discuss the entirety of Russell’s important legacy both on and off the court. He is remembered primarily as the most important player on the most successful dynasty in NBA history, not someone who changed the way defense was played at every level of the game or a dynamic talent of uncommon skills and athleticism. The “greatest winner” classification has simultaneously locked down his place in history and obscured the qualities that made him so important in the first place. This is only so sad, because Russell’s place near the top of these lists ensures that he won’t be lost to history entirely. However, it’s worth wondering exactly what placing him — or anyone, whether it’s Jordan or Wilt Chamberlain or some active star — into a ranked discussion does to our memories and considerations of these players. Elite traits get defined as inferior to those of others, nuance falls away in favor of reductionist argumentation, etc. It’s as if we argued over whether the god of thunder were greater than the god of the sea, forgetting that either deity holds more power than we can ever dream of. These rankings can be a fun diversion, and it’s no surprise that they exist. It remains an open question as to what purpose they serve.

an Tour and used his pre-tournament press conference at Wentworth to reiterate his remorse. “I want to send out an unreserved apology, I did not mean to offend anyone,” Garcia told reporters. “I was caught off guard by the question but don’t get me wrong, I understand my answer was totally stupid and out of place. “I can’t say sorry enough. I would also like to say sorry to the European Tour and my Ryder Cup teammates for taking the shine away from a wonderful dinner that we all enjoyed to that point. “Finally and most importantly I want to apologize to Tiger and anyone that I could have offended. I feel sick about it and truly, truly sorry. Hopefully we can settle things down and move on.


TURKS & CAICOS SUN

Page 45

MAY 25TH - JUNE 1ST, 2013

WORLD SPORTS

Lavillenie, Felix And Jeter The Best All-Time – Iaaf Diamond League R

enaud Lavillenie, Allyson Felix and Carmelita Jeter are the most successful athletes in the history of the Diamond Race, the season-long points scoring battle in 32 event disciplines, which is at the core of the annual IAAF Diamond League. The IAAF Diamond League, which started its 2013 season in Doha, Qatar on Friday 10 May, may only be a youngster in the realm of international sports tours, but in its first three seasons the IAAF’s top-tier invitational circuit has quickly and clearly established itself in the minds of sports fans everywhere as the very best of international track and field competition outside the IAAF World Championships and the Olympic Games. Every discipline takes place seven times each season as a Diamond Race event within the IAAF Diamond League, presenting athletes with points scoring opportunities as they compete for a slice of 8 million dollars in prize money across the series. All-time, Lavillenie, Felix and Jeter standout as the athletes with the greatest number of Diamond Race wins, a total of 13 victories each, across the 14-meeting series during the three seasons (2010 to 2012). Lavillenie also holds the distinction of having accumulated the most points (64) by a male ath-

lete, with Jamaica’s Kaliese Spencer holding that honour for the women (72). The 32 overall winners of the annual Diamond Race each receive a 40,000 USD cash prize and a spectacular Diamond Trophy created by Beyer, one of the oldest and most respected jewellers in the world, but more importantly, by showing season-long consistency they earn the unchallenged honour of being the World Number 1. Lavillenie, the ever consistent French pole vaulting ace who is the reigning Olympic champion, is the only ever winner of the Diamond Trophy for his specialist event. Four other athletes have also won their event’s Diamond Race in all three seasons of the IAAF Diamond League: Paul Kipsiele Koech (3000m Steeplechase), Vivian Cheruiyot (5000m), Milcah Chemos Cheywa (3000m Steeplechase), and Kaliese Spencer (400m Hurdles). Incidentally, Jeter (three – 100m in 2011 and 2012; 200m in 2012) and Felix (two – 200m & 400m in 2011) have respectively won five trophies between them. So, get set for the start of the IAAF Diamond League in Doha, where Felix will be aiming to triumph in the 400m and move ahead of Lavillenie and Jeter who won’t begin their 2013 Diamond Race campaigns until later in the series.

Dwight Howard reportedly adds Hawks and Warriors to his free agent list A

s the Dwight Howard free agency news cycle rolls on, the latest report has him expanding the list of teams he’ll consider signing with this summer. It’s been previously reported that Howard is most intrigued by the Houston Rockets, thanks in no small part to a young star already in place there in the form of James Harden. Any situation where Howard won’t be the team’s best player is one he’s likely to consider — not only because it will mean he’s on a team that can contend for a championship, but also because Howard isn’t well-suited from a personality standpoint to handle the pressure of winning all by himself. Another team that makes sense for Howard to pursue is the Dallas Mavericks, for some of the same reasons. Dirk Nowitzki still has a couple of All-Star caliber seasons left in him, and with the pay cut he’ll be taking in his next contract, the Mavs would have a ton of salary cap space to go out and sign even more top talent for the 2014-15 season and beyond. Houston and Dallas were obvious choices, given the existing talent and salary cap situations of those respective teams. The latest two that Howard has reportedly expressed interest in, however, seem a little less realistic. A source familiar with Howard’s thinking says he plans to test free agency and has considered the Lakers, Dallas, Houston, Atlanta and Golden State. Nothing remains binding, though. The source added Howard’s main concern involves “what team he feels has the best chance to win championships, has the best team and system around him.” The source also stressed Howard has not and will not ask the Lakers to make any

moves on his behalf. Howard is from Atlanta, but it has been a constant from his camp since his last season in Orlando that he wasn’t interested in playing for his hometown team. If that has changed and Howard is now truly considering the Hawks, they certainly have the cap space to make it happen, with less than $20 million on the books for next season if they exercise all options. That includes having Al Horford in place at $12 million per year for the next three seasons. That would give Atlanta the chance to bring in plenty of additional talent besides Howard, but it’s also a team currently without much of an identity, and one that’s likely to begin next season with a new head coach. As for the Warriors, that’s simply not going to happen. Golden State has close to $75 million in committed contracts for next season, including the one-year player options from Richard Jefferson and Andris Biedrins that are likely to be exercised. Things clear up considerably for the Warriors the following year, when the contract of Andrew Bogut comes off the books and the team would have in the neighborhood of just $25 million committed to the strong core of Stephen Curry, David Lee, Klay Thompson, and Harrison Barnes. It would be tough to see Howard signing somewhere for one year just to wait out the opportunity with the Warriors, although with his track record of indecisiveness throughout this process dating back to his final season in Orlando, anything is possible. Still, the smart money remains on him staying with the Lakers, with the Rockets and the Mavericks likely not too far behind on his list of potential destinations.

WORLD LEADS IN NINE EVENTS, FOUR MEETING RECORDS IN SHANGHAI – IAAF DIAMOND LEAGUE

S

hanghai’s IAAF Diamond League meeting on Saturday May 18th produced meeting records in four events and nine world leads, the latter topped by a stunning win by China’s Li Jinzhe in the Long Jump ahead of the past three Olympic champions. The rain which had tumbled down in the previous few days stopped – a brief shower as the evening’s events got under way excepted – allowing the meeting to proceed in fine, still conditions. If the presence of the London, Greg Rutherford; Beijing, Irving Saladino; and Athens, Dwight Phillips, champions did not bother Li Jinzhe, however, he would probably not have cared had the rain kept falling. He led at the completion of a cautious first round with 7.91m, at the end of the second with 7.93m and the third with 8.20m. Li’s winning distance of 8.34m came in the fourth round and he passed his final two attempts. He had to watch nervously as Aleksandr Menkov produced a big last-round effort, but when the jump was measured at 8.31m, victory went to Li. Li missed the Chinese national record 8.40m, set by Lao Jianfeng back in 1997, by just six centimetres. No problem, he will try again at the Beijing World Challenge meeting, he said. After that, “I will try to win a medal at the World Championships,” said the 23-year-old, who now goes to fourth on the Chinese all-time list. The other world leads came from Kirani James in the 400m, Shelly-Ann Fraser-Pryce in the 100m, an (outdoor lead) from Francine Niyonsaba in the 800m, from Genzebe Dibaba in the 5000m, Conseslus Kipruto in the 3000m Steeplechase, Zuzana Hejnova in the 400m Hurdles, Caterine Ibarguen in the Triple Jump and Tero Pitkamaki in the Javelin. There was also injury drama, with Olympic champion and World record-holder Aries Merritt pulling up before the first hurdle in the 110m Hurdles, Carmelita Jeter exiting the track on a stretcher after finishing third in the 100m and Rutger Smith suffering a severe leg injury in the Discus. Merritt pulled up largely as a precautionary measure after feeling cramping sensations in his right hamstring in the warm-up. The race was won by 2011 World champion Jason Richardson in 13.23 from Ryan Wilson (13.25) and Xie Wenjun (a personal best 13.28). Jeter clutched her thigh as she hobbled through the last few steps of her 100m, won by Shelly-Ann Fraser-Pryce in a world lead of 10.93. Smith fell in the Discus circle and it is feared he may have ruptured an achilles tendon. Kirani James has carried all before him the past two seasons, winning the World Championships and Olympic titles at a precociously young age. Things do not get any easier, however. Here he faced London minor medallists Luguelin Santos and Lalonde Gordon, as well as former World and Olympic champion LaShawn Merritt. James had made up the stagger on Merritt as they came onto the final bend. Briefly the pair ran in step before the young Grenadian pulled away to win in 44.02. Merritt beat Santos for second, 44.60 to 45.11. James’s time equalled the meeting record set by Jeremy Wariner in 2007 and is the fastest ever 400m time witnessed at a Diamond League meeting. James is the only non-US athlete to have broken 44 seconds for 400m and he has started 2013 in the same manner he finished the Olympic year.


Page 46

MAY 25TH - JUNE 1ST, 2013

TURKS & CAICOS SUN


TURKS & CAICOS SUN

MAY 25TH - JUNE 1ST, 2013

Page 47


Page 48

MAY 25TH - JUNE 1ST, 2013

PUBLISHED BY SUN MEDIA GROUP, TURKS AND CAICOS ISLANDS - TEL: 649-946-8542; FAX: 649-941-3281

TURKS & CAICOS SUN


VOLUME 9 ISSUE 20